<?php
if(isset($_POST['id_submit_bttn']) && isset( $_POST['ism_admin_nonce'] ) && wp_verify_nonce( $_POST['ism_admin_nonce'], 'ism_admin_nonce' ) ){
	ism_return_arr_update( 'id' );
}
//default settings
$meta_arr = ism_return_arr_val( 'id' );
?>
<div class="metabox-holder indeed">
    <form method="post">

	<input type="hidden" value="<?php echo wp_create_nonce( 'ism_admin_nonce' );?>" name="ism_admin_nonce" />

	<div class="stuffbox-ism">
		<div class="ism-top-message"><b><?php esc_html_e('"Content Display" ', 'indeed-social-media');?></b> <?php esc_html_e(' will help you to show Social Share Icons inside the Content Pages in Predefined positions (on Top, on Bottom or Both) or  a Custom position and just for a certain type of Pages', 'indeed-social-media');?>.</div>
	</div>
	<?php
		//sm checkboxes
		ism_print_list_checkboxes($meta_arr, 'id', 'id_submit_bttn');

	?>


        <?php
			//STANDARD TEMPLATES
        	ism_return_standard_templates_html( 'id_template', $meta_arr['id_template'], 'id_submit_bttn' );

        	//SPECIAL TEMPLATES
        	ism_return_special_templates_html( 'id_template', $meta_arr['id_template'], 'id_submit_bttn' );
        ?>

        <div class="stuffbox-ism">
            <h3>
                <label>Display Options:</label>
            </h3>
            <div class="inside">
	               <table class="form-table ism-content">
		                <tbody>
	                        <tr>
	                            <th scope="row">
	                               <?php esc_html_e('List Align', 'indeed-social-media');?> :
									<span class="ism-info"><?php esc_html_e('Select how the the list should be displayed.', 'indeed-social-media');?></span>
	                            </th>
	                            <td>
	                                <?php
	                                    $checked = ism_checkSelected('vertical', $meta_arr['id_list_align'], 'radio');
	                                ?>
	                                <input type="radio" name="id_list_align" value="vertical" <?php echo $checked;?>  /><span class="indeedcrlabel">Vertical</span>
	                                <?php
	                                    $checked = ism_checkSelected('horizontal', $meta_arr['id_list_align'], 'radio');
	                                ?>
	                                <input type="radio" name="id_list_align" value="horizontal" <?php echo $checked;?>  /><span class="indeedcrlabel">Horizontal</span>
	                            </td>
	                        </tr>
	                	</tbody>
	                </table>

	               <table class="form-table ism-content">
		                <tbody>
	                        <tr>
	                            <th scope="row">
	                               <?php esc_html_e('Animation Show', 'indeed-social-media');?>:
	                            </th>
	                            <td>
	                            	<select name="id_animation">
	                            	<?php
		                              $a_arr = ism_return_special_effects();
		                            	foreach($a_arr as $k=>$v){
		                            		?>
		                            		<optgroup label="<?php echo $k;?>">
		                            			<?php
		                            				foreach($v as $key=>$value){
		                            					$selected = '';
		                            					if($meta_arr['id_animation']==$key){
																							$selected = 'selected="selected"';
																					}
		                            					?>
		                            						<option value="<?php echo $key;?>" <?php echo $selected;?> ><?php echo $value;?></option>
		                            					<?php
		                            				}
		                            			?>
		                            		</optgroup>
		                            		<?php
		                            	}
	                            	?>
	                            	</select>
	                            </td>
	                        </tr>
	                    </tbody>
	               </table>

                <table class="form-table ism-counts">
	                <tbody>
                        <tr>
                            <th scope="row">
                                <?php esc_html_e('Display Counts', 'indeed-social-media');?>
								<span class="ism-info"><?php esc_html_e('Number of shares on each network will be displayed', 'indeed-social-media');?>.</span>
                            </th>
                            <td>
                            	<label>
	                                <?php
	                                    $checked = ism_checkSelected('true', $meta_arr['id_display_counts'], 'checkbox');
	                                ?>
	                                <input type="checkbox" onClick="ism_check_and_h(this, '#display_counts');" class="ism-switch" <?php echo $checked;?> />
	                                <div class="switch ism-ib"></div>
	                            </label>
                                <input type="hidden" value="<?php echo $meta_arr['id_display_counts'];?>" name="id_display_counts" id="display_counts" />
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">
                              <?php esc_html_e('Display Full Name Of Social Network', 'indeed-social-media');?>
                            </th>
                            <td>
                            	<label>
	                                <?php
	                                    $checked = ism_checkSelected('true', $meta_arr['id_display_full_name'], 'checkbox');
	                                ?>
	                                <input type="checkbox" onClick="ism_check_and_h(this, '#id_display_full_name');" class="ism-switch" <?php echo $checked;?> />
	                                <div class="switch ism-ib"></div>
	                            </label>
                                <input type="hidden" value="<?php echo $meta_arr['id_display_full_name'];?>" name="id_display_full_name" id="id_display_full_name" />
                            </td>
                        </tr>
						<tr>
                            <th scope="row">
                              <?php esc_html_e('Number of Columns', 'indeed-social-media');?>
                            </th>
                            <td>
                            	<select name="id_no_cols" class="ism-columns">
								<?php
									for($ic = 0; $ic < 7; $ic++){
										if ( $ic == 0 ){
												$label = 'Default';
										} else {
												$label = $ic.' Columns';
										}
										$selected = '';
	                            		if($meta_arr['id_no_cols']== $ic){
																		 $selected = 'selected="selected"';
																	}
										?>
	                            		<option value="<?php echo $ic;?>" <?php echo $selected;?> ><?php echo $label;?></option>
	                            	<?php
									}
								?>
								</select>
                            </td>
                        </tr>
						<tr>
                            <th scope="row">
                            <?php esc_html_e('Box Alignment', 'indeed-social-media');?>
                            </th>
                            <td>
                            	<select name="id_box_align ism-columns">
									<?php $selected = ism_checkSelected('left', $meta_arr[ 'id_box_align' ], 'select'); ?>
	            					<option value="left" <?php echo $selected;?> >Left</option>
									<?php $selected = ism_checkSelected('center', $meta_arr[ 'id_box_align' ], 'select'); ?>
	            					<option value="center" <?php echo $selected;?> >Center</option>
									<?php $selected = ism_checkSelected('right', $meta_arr[ 'id_box_align' ], 'select'); ?>
	            					<option value="right" <?php echo $selected;?> >Right</option>
								</select>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="id_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>
<?php
	$info = esc_html__('If none of them is not selected, the Social Icons will not show up using the "Content Display".', 'indeed-social-media');
	return_display_where_html( 'id', $meta_arr, 'id_submit_bttn', $info );
?>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Position', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table">
	                <tbody>
                        <tr>
                            <td>
                                <?php
                                    $checked = ism_checkSelected('before', $meta_arr['id_position'], 'radio');
                                ?>
                                <input type="radio" name="id_position" value="before" <?php echo $checked;?> class="ism-js-content-display-radio-position-before" /><span class="indeedcrlabel"><?php esc_html_e('Before Content', 'indeed-social-media');?></span>
                             </td>
						</tr>
						<tr>
                            <td>
								<?php
                                    $checked = ism_checkSelected('after', $meta_arr['id_position'], 'radio');
                                ?>
                                <input type="radio" name="id_position" value="after" <?php echo $checked;?>  class="ism-js-content-display-radio-position-after" /><span class="indeedcrlabel"><?php esc_html_e('After Content', 'indeed-social-media');?></span>
                              </td>
						</tr>
						<tr>
                            <td>
								<?php
                                    $checked = ism_checkSelected('both', $meta_arr['id_position'], 'radio');
                                ?>
                                <input type="radio" name="id_position" value="both" <?php echo $checked;?> class="ism-js-content-display-radio-position-both" /><span class="indeedcrlabel"><?php esc_html_e('Both ( Before & After Content)', 'indeed-social-media');?></span>
                              </td>
						</tr>
						<tr>
                            <td>
								<?php
                                    $checked = ism_checkSelected('custom', $meta_arr['id_position'], 'radio');
                                ?>
                                <input type="radio" name="id_position" value="custom" <?php echo $checked;?> class="ism-js-content-display-radio-position-custom" /><span class="indeedcrlabel"><?php esc_html_e('Custom', 'indeed-social-media');?></span>
                            </td>
                        </tr>
                    </tbody>
                </table>
                        <?php
                            $display = 'ism-display-none';
                            if($meta_arr['id_position']=='custom'){
															$display = 'ism-display-block';
														}
                        ?>
                <table class="form-table <?php echo $display;?> ism-form-table-margin" id="custom_id_position">
	                <tbody>
                        <tr>
                                          <?php $checked = ism_checkSelected($meta_arr['id_top_bottom'], 'top', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="id_top_bottom" value="top" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Top', 'indeed-social-media');?></span></td>
                                          <?php $checked = ism_checkSelected($meta_arr['id_top_bottom'], 'bottom', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="id_top_bottom" value="bottom" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Bottom', 'indeed-social-media');?></span></td>
                                      <td class="indeed_td_np"><input type="number" value="<?php echo $meta_arr['id_top_bottom_value'];?>" name="id_top_bottom_value" class="indeed_number"/> px</td>
                        </tr>
                        <tr>
                                          <?php $checked = ism_checkSelected($meta_arr['id_left_right'], 'left', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="id_left_right" value="left" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Left', 'indeed-social-media');?></span></td>
                                          <?php $checked = ism_checkSelected($meta_arr['id_left_right'], 'right', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="id_left_right" value="right" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Right', 'indeed-social-media');?></span></td>
                                      <td class="indeed_td_np"><input type="number" value="<?php echo $meta_arr['id_left_right_value'];?>" name="id_left_right_value" class="indeed_number"/> px</td>
                        </tr>
	                </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="id_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Disable On List Posts', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside ism-list-post">

    	    	<label>
    	        	<?php $checked = (!empty($meta_arr['id_display_only_in_single'])) ? "checked" : ""; ?>
    	            <input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#id_display_only_in_single');" <?php echo $checked;?> />
    	            <div class="switch ism-ib"></div>
    	        </label>
    	        <input type="hidden" value="<?php echo $meta_arr['id_display_only_in_single'];?>" name="id_display_only_in_single" id="id_display_only_in_single" />

                <div class="submit">
                    <input type="submit" value="Save changes" name="id_submit_bttn" class="button button-primary button-large" />
                </div>

            </div>
       </div>
       <?php
       		//total counts metabox
       		echo total_share_count_admin_box( 'id', $meta_arr );

       		//visits
       		ism_return_views_section( 'id', $meta_arr, 'id_submit_bttn' );

       		//after show
       		ism_after_share_html( 'id', $meta_arr, 'id_submit_bttn' );
       ?>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Mobile', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table">
	                <tbody>
                        <tr>
                            <th scope="row">
                              <?php esc_html_e('Disable On Mobile', 'indeed-social-media');?> :
                            </th>
                            <td>
    	                		<label>
    	                			<?php
    	                				$checked = '';
    	                				if(isset($meta_arr['id_disable_mobile']) && $meta_arr['id_disable_mobile']==1){
																$checked = 'checked="checked"';
															}
    	                			?>
    	                			<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#id_disable_mobile');" <?php echo $checked;?> />
    	                		<div class="switch ism-ib"></div>
    	                		</label>
    	                		<input type="hidden" value="<?php echo $meta_arr['id_disable_mobile'];?>" name="id_disable_mobile" id="id_disable_mobile" />
                            </td>
                        </tr>
                     </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="id_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
       </div>



    </form>
</div>
</div>


<?php
