<?php
if(isset($_REQUEST['g_submit_bttn']) && isset( $_POST['ism_admin_nonce'] ) && wp_verify_nonce( $_POST['ism_admin_nonce'], 'ism_admin_nonce' )){
	ism_return_arr_update( 'g_o' );
    ism_update_special_counts();
    ism_add_new_custom_share_url();
}
//default settings
$meta_arr = ism_return_arr_val( 'g_o' );
?>
<div class="metabox-holder indeed">
    <form method="post">

				<input type="hidden" value="<?php echo wp_create_nonce( 'ism_admin_nonce' );?>" name="ism_admin_nonce" />

	<div class="stuffbox-ism">
		<div class="ism-top-message"><?php esc_html_e('Multiple ', 'indeed-social-media');?> <b><?php esc_html_e(' "General Settings" ', 'indeed-social-media');?></b> <?php esc_html_e(' starting from Social Network authentifications or special settings to Initial Counts, Minimum no. of Counts or Custom Names for Social Buttons', 'indeed-social-media');?>.</div>
	</div>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Twitter Advanced Settings', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">

                <table class="form-table ism-go-table">
        	        <tbody>
                        <tr>
                            <td>
                                <strong><?php esc_html_e('Username To Be Mentioned', 'indeed-social-media');?>: @</strong> <input type="text" value="<?php echo $meta_arr['twitter_name'];?>" name="twitter_name" />
                            </td>
                        </tr>
                    </tbody>
                </table>
				<span class="ism-info"><?php esc_html_e('Set a twitter username that can be mentioned into shared tweets. Can be any username, but especially yours.', 'indeed-social-media');?></span>

                <table class="form-table ism-go-tw">
        	        <tbody>
                        <tr>
                            <td>
                                <strong><?php esc_html_e('Enable Share Feature Image', 'indeed-social-media');?>: </strong>
    	                			<label>
    	                				<?php
    	                					$checked = '';
    	                					if(isset($meta_arr['ism_twitter_share_img']) && $meta_arr['ism_twitter_share_img']==1){
																	 $checked = 'checked="checked"';
																}
    	                				?>
    	                				<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_twitter_share_img');" <?php echo $checked;?> />
    	                			<div class="switch ism-ib"></div></label>
    	                			<input type="hidden" value="<?php echo $meta_arr['ism_twitter_share_img'];?>" name="ism_twitter_share_img" id="ism_twitter_share_img" />
    	                	</td>
                        </tr>
                    </tbody>
                </table>
                <span class="ism-info">
                	<strong><?php esc_html_e('Experimental', 'indeed-social-media');?>:</strong><?php esc_html_e(' In further to Share the "Featured Image" on Twitter, the website needs to be validated after the option was activated', 'indeed-social-media');?> : <a href="https://cards-dev.twitter.com/validator" target="_blank">https://cards-dev.twitter.com/validator</a>
                </span>


                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Shortlink (Available only for Twitter)', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-shortlink">
        	        <tbody>
                        <tr>
                            <td>
                                <strong><?php esc_html_e('Enable', 'indeed-social-media');?>: </strong>
    	                			<label>
    	                				<?php
    	                					$checked = '';
    	                					if(isset($meta_arr['ism_twitter_shortlink']) && $meta_arr['ism_twitter_shortlink']==1){
																	 $checked = 'checked="checked"';
																}
    	                				?>
    	                				<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_twitter_shortlink');" <?php echo $checked;?> />
    	                			<div class="switch ism-ib"></div></label>
    	                			<input type="hidden" value="<?php echo $meta_arr['ism_twitter_shortlink'];?>" name="ism_twitter_shortlink" id="ism_twitter_shortlink" />
                <span class="ism-info">
                	<strong><?php esc_html_e('If is activated, the Twitther\'s counts may not be accurate', 'indeed-social-media');?>.</strong>
                </span>
    	                	</td>
                        </tr>
                        <tr>
                            <td>
                                <strong><?php esc_html_e('Bitly Username', 'indeed-social-media');?>: </strong> <input type="text" value="<?php echo $meta_arr['bitly_user'];?>" name="bitly_user" class="ism-go-bitly"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <strong><?php esc_html_e('Bitly API Key', 'indeed-social-media');?>: </strong> <input type="text" value="<?php echo $meta_arr['bitly_api'];?>" name="bitly_api"  class="ism-go-bitly-api"/>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Facebook Advanced Settings', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-table">
        	        <tbody>
                        <tr>
                            <td><label><span class="ism-go-credentials"><?php esc_html_e('FaceBook App ID', 'indeed-social-media');?>:</span></label>
                                <input type="text" value="<?php echo $meta_arr['facebook_id'];?>" name="facebook_id" id="facebook_id"/>
                            </td>
												</tr>
												<tr>
												<!--developer-->
														<td><label><span class="ism-go-credentials"><?php esc_html_e('', 'indeed-social-media');?><?php esc_html_e('FaceBook App Secret', 'indeed-social-media');?>:</span></label>
																<input type="text" value="<?php
																if(isset($meta_arr['facebook_app_secret'])) {
																	echo $meta_arr['facebook_app_secret'];
																} else {
																	$meta_arr['facebook_app_secret'] = '';
																	echo $meta_arr['facebook_app_secret'];
																}?>" name="facebook_app_secret" id="facebook_app_secret"/>
														</td>

												<!--end developer-->
                        </tr>
                    </tbody>
                </table>
				<br/>
				<span class="ism-info ism-go-fsize"><?php esc_html_e('For a proper share and tracking the share counts on FaceBook you need to set a FaceBook App ID and FaceBook App Secret', 'indeed-social-media');?>.</span>
				<br/>
				<span class="ism-info ism-go-fsize"><strong><?php esc_html_e('The FaceBook App ID and FaceBook App Secret is mandatory for "Social Locker" and "Custom Content Share" feature and also for FaceBook Messenger share box!', 'indeed-social-media');?></strong>.</span>
				<span class="ism-info ism-go-fbold"><?php esc_html_e('Be sure that the FaceBook App is set properly (follow the Documentation guidelines)!', 'indeed-social-media');?></span>
				<span class="ism-info ism-go-notice"><?php esc_html_e('If you receive an error into the FaceBook Share Popup: "An error occurred. Please try again later." means', 'indeed-social-media');?>:</span>
				<div class="ism-info">
				<ul class="ism-go-list">
				<li><?php esc_html_e('You have another FaceBook script into your page that includes an incompatible (or an old) FaceBook Library or use another FaceBook App ID', 'indeed-social-media');?>.</li>
				<li><?php esc_html_e('The Facebook App is not set properly or is not able to connect with your Website', 'indeed-social-media');?>.</li>
				</ul>
			</div>
				<div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Flattr Settings', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-table">
        	        <tbody>
                        <tr>
                            <td><label><span class="ism-go-credentials"><?php esc_html_e('Flattr User ID(Name)', 'indeed-social-media');?>:</span></label>
                                <input type="text" value="<?php echo $meta_arr['ism_flattr_uid'];?>" name="ism_flattr_uid" id="ism_flattr_uid"/>
                            </td>
                        </tr>
                    </tbody>
                </table>
				<br/><br/>

				<div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Default Feature Image', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-table">
        	        <tbody>
                        <tr>
                            <td>
                                <input type="text" value="<?php echo $meta_arr['feat_img'];?>" name="feat_img" id="feat_img" onClick="open_media_up(this);" class="indeed_large_input_text"/> <i class="icon-trash ism-js-general-option-do-trash-feat-image" title="Remove Default Feature Image Value"></i>
                            </td>
                        </tr>
                    </tbody>
                </table>
				<span class="ism-info"><?php esc_html_e('A image it will be used when a post without an featured image is shared. The option is available only on some Social NetWorks (like Facebook, Pinterest).', 'indeed-social-media');?></span>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>

			<div id="email-share"></div>
        </div>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('E-Mail Share Options', 'indeed-social-media');?>:</label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-table">
        	        <tbody>
                        <tr>
                            <td>
                                <span class="ism-go-share-opt">Box Title: </span><input type="text" value="<?php echo $meta_arr['email_box_title'];?>" name="email_box_title" class="ism-go-min-width"/>
                            </td>
                        </tr>
						<tr>
                            <td>
                                <span class="ism-go-share-opt">Subject: </span><input name="email_subject" class="ism-go-min-width" value="<?php echo stripslashes($meta_arr['email_subject']);?>"/>
							</td>
                        </tr>
						<tr>
                            <td>
                                <span class="ism-go-opt-message">Message: </span><textarea name="email_message" class="ism-go-min-width-message"><?php echo stripslashes( $meta_arr['email_message'] );?></textarea>
								<span class="ism-info"><?php esc_html_e('#LINK# is the Link that it will be shared.', 'indeed-social-media');?></span>
							</td>
                        </tr>
						<tr>
                            <td>
                                <?php
                                    $checked = '';
                                    if($meta_arr['email_capcha']==1){
																			 $checked = 'checked="checked"';
																		}
                                ?>
                                <span class="ism-go-share-opt">Activate Capcha: </span><input type="checkbox" onClick="check_and_h(this, '#capcha_hidden');" <?php echo $checked;?> />
								<input type="hidden" name="email_capcha" value="<?php echo $meta_arr['email_capcha'];?>" id="capcha_hidden" />
							</td>
                        </tr>
						<tr>
                            <td>
                                <span class="ism-go-share-opt"><?php esc_html_e('Alternative Email:', 'indeed-social-media');?></span><input type="text" value="<?php echo $meta_arr['email_send_copy'];?>" name="email_send_copy" class="ism-go-min-width" />
							</td>
                        </tr>
						<tr>
                            <td>
                                <span class="ism-go-share-opt"><?php esc_html_e('Success Message:', 'indeed-social-media');?> </span><input type="text" value="<?php echo $meta_arr['email_success_message'];?>" name="email_success_message" class="ism-go-min-width" />
							</td>
                        </tr>
                    </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>

			<div id="stats-set"></div>
        </div>

		<div class="stuffbox-ism ism-go-stat">
            <h3>
                <label><?php esc_html_e('Statistics', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                 <table class="form-table ism-go-table">
        	        <tbody>
  							<tr>
			                    <td>
									<?php esc_html_e('Enable:', 'indeed-social-media');?>
			                    </td>
    	                		<td>
    	                			<label>
    	                				<?php
    	                					$checked = '';
    	                					if(isset($meta_arr['ism_enable_statistics']) && $meta_arr['ism_enable_statistics']==1){
																	 $checked = 'checked="checked"';
																}
    	                				?>
    	                				<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_enable_statistics');" <?php echo $checked;?> />
    	                			<div class="switch ism-ib"></div></label>
    	                			<input type="hidden" value="<?php echo $meta_arr['ism_enable_statistics'];?>" name="ism_enable_statistics" id="ism_enable_statistics" />
    	                		</td>
    	                	</tr>
  							<tr>
			                    <td>
								<?php esc_html_e('Clear Data Older Than:', 'indeed-social-media');?>
			                    </td>
    	                		<td>
    	                			<select id="clear_statistic">
    	                				<option value="day"><?php esc_html_e('One Day', 'indeed-social-media');?></option>
    	                				<option value="week"><?php esc_html_e('One Week', 'indeed-social-media');?></option>
    	                				<option value="month"><?php esc_html_e('One Month', 'indeed-social-media');?></option>
    	                			</select>
    	                		</td>
    	                		<td>
    	                			<input type="button" onClick="ism_clear_statistic_data();" value="Clear Data" class="button button-primary button-large" />
    	                			<span class="spinner ism-go-spin" id="ism_near_bttn_clear_statistic"></span>
    	                		</td>
    	                	</tr>
    	             </tbody>
    	         </table>
				 <span class="ism-info">
				<strong><?php esc_html_e('Statistics ', 'indeed-social-media');?></strong> <?php esc_html_e(' may influence your website performance. Active the feature only if is necessary. Also, a periodically DataBase cleanup may be desirable.', 'indeed-social-media');?>
				</span>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
			<div id="initial-counts"></div>
       </div>

	   <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Offline Counts', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
	                <table class="form-table ism-go-table">
		  				<tr>
		  					<td>
		  						<?php esc_html_e('Show', 'indeed-social-media');?>
		  					</td>
    	                	<td>
    	                		<label>
    	                			<?php
    	                				$checked = '';
    	                				if(isset($meta_arr['ism_display_statistics_c_for_nci']) && $meta_arr['ism_display_statistics_c_for_nci']==1){
																 $checked = 'checked="checked"';
															}
    	                			?>
    	                		<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_display_statistics_c_for_nci');" <?php echo $checked;?> />
    	                		<div class="switch ism-ib"></div></label>
    	                		<input type="hidden" value="<?php echo $meta_arr['ism_display_statistics_c_for_nci'];?>" name="ism_display_statistics_c_for_nci" id="ism_display_statistics_c_for_nci" />
    	                	</td>
		  				</tr>
	  				</table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
       </div>

		        <div class="stuffbox-ism">
			        	    <h3>
                				<label><?php esc_html_e('Initial Counts:', 'indeed-social-media');?></label>
            				</h3>
	            		<div class="inside ism-go-counts">
						<span class="ism-info ism-go-counts-text"><br /> <?php esc_html_e('For better credebility you can start your counts from a bigger number than 0 or few shares.', 'indeed-social-media');?><br /><br /></span>
			                <table class="ism-go-table">
			        	        <tbody>
			                        <tr>
			                            <td>
											<?php esc_html_e('Social Media Type:', 'indeed-social-media');?>
			                            </td>
			                            <td>
											<select name="sm_type">
											<?php
												if(isset($meta_arr['ism_display_statistics_c_for_nci']) && $meta_arr['ism_display_statistics_c_for_nci']==1){
													$sm_items = ism_return_general_labels_sm( 'long_keys', true );
												}else{
													$sm_items = ism_return_general_labels_sm( 'long_keys', true, 'count' );
												}

												foreach($sm_items as $k=>$v){
													?>
														<option value="<?php echo $k;?>"><?php echo $v;?></option>
													<?php
												}
											?>
											</select>
			                            </td>
			                            <td>
			                            <?php esc_html_e('URL:', 'indeed-social-media');?>	<input type="text" value="" name="the_url" class="ism-go-url"/>
			                            </td>
			                            <td>
			                            <?php esc_html_e('Counts:', 'indeed-social-media');?>	 <input type="number" value="" name="the_counts" class="ism-go-count-numb" min="0" />
			                            </td>
			                            <td>
			                           	    <div class="submit ism-go-btn-save">
	                    						<input type="submit" value="Save" name="g_submit_bttn" class="button button-primary button-large" />
	                						</div>
			                            </td>
			                         </tr>
			                         <tr>
			                         	<td colspan="5">
			                         		<span class="ism-info"><?php esc_html_e('Type \'all\' in URL Section if You want to set for all URLs!', 'indeed-social-media');?></span>
			                         	</td>
			                         </tr>
			                    </tbody>
			                </table>
			        	    <h4>
                				<label><?php esc_html_e('List Of Initial Counts:', 'indeed-social-media');?></label>
            				</h4>

		            					<table>
		            						<tr>
		            							<td>
		            							<table class="special_counts_table">
												<tr class="ism-go-social-net">
													<td class="ism-top-table ism-table-font-align"><?php esc_html_e('Social Network', 'indeed-social-media');?></td>
													<td class="ism-top-table ism-table-font"><?php esc_html_e('Page URL', 'indeed-social-media');?></td>
													<td class="ism-top-table ism-table-font"><?php esc_html_e('Counts', 'indeed-social-media');?></td>
													<td class="ism-top-table ism-table-font-align"></td>
												</tr>
		            					<?php
		            						$i=0;
		            						$all_sc = ism_return_special_counts('all');

				                         		foreach($sm_items as $k=>$v){
				                         			$arr = ism_return_special_counts($k);
				                         			if($arr && count($arr)>0){
					                         			foreach ($arr as $key=>$value){
					                         				if (isset($value) && $value!=''){
					                         					?>
					                         						<tr id="special_count_<?php echo $i;?>">
					                         							<td><?php echo $v;?></td>
					                         							<td>
					                         								<a href="<?php echo $key;?>" target="_blank">
					                         									<?php echo $key;?>
					                         								</a>
					                         							</td>
					                         							<td><?php echo $value;?></td>
					                         							<td><i class="icon-trash" title="Delete" onClick="ism_deleteSpecialCount('<?php echo $key;?>', '<?php echo $k;?>', '#special_count_<?php echo $i;?>');"></i></td>
					                         						</tr>
					                         					<?php
					                         					$i++;
					                         				}
					                         			}
				                         			}
				                         			if(isset($all_sc[$k]) && $all_sc[$k]!=''){
				                         				?>
				                         					<tr id="special_count_all_<?php echo $i;?>">
				                         						<td><?php echo $v;?></td>
				                         						<td>All URLs</td>
				                         						<td><?php echo $all_sc[$k];?></td>
				                         						<td><i class="icon-trash" title="Delete" onClick="ism_deleteSpecialCount('all', '<?php echo $k;?>', '#special_count_all_<?php echo $i;?>');"></i></td>
				                         					</tr>
				                         				<?php
				                         				$i++;
				                         			}
				                         		}
				                        ?>
		            							</table>
		            							</td>
		            						</tr>
		            					</table>
			</div>

			<div id="min-counts"></div>
		</div>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Showing Counts After:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
			<span class="ism-info ism-go-counts-after"><br /> <?php esc_html_e('A minimum number of Shares may be required to show the counts for each Social Network.', 'indeed-social-media');?><br /><br /></span>
                <table class="form-table ism-go-table">
        	        <tbody>
  							<tr>
			                            <td>
											<?php esc_html_e('Social Media Type:', 'indeed-social-media');?>
			                            </td>
			                            <td>
											<select id="sm_type_min_count">
											<?php
											if(isset($meta_arr['ism_display_statistics_c_for_nci']) && $meta_arr['ism_display_statistics_c_for_nci']==1){
												$sm_items = ism_return_general_labels_sm( 'long_keys', true );
											}else{
												$sm_items = ism_return_general_labels_sm( 'long_keys', true, 'count' );
											}

												foreach($sm_items as $k=>$v){
													?>
														<option value="<?php echo $k;?>"><?php echo $v;?></option>
													<?php
												}
											?>
											</select>
			                            </td>
			                            <td>
			                            	<?php esc_html_e('Counts:', 'indeed-social-media');?> <input type="number" id="sm_min_count_value" class="ism-go-count-numb" min="1"/>
			                            </td>
			                            <td>
			                           	    <div class="submit ism-go-btn-save">
	                    						<input type="button" value="Save" class="button button-primary button-large" onClick="ism_update_minim_counts();"/>
	                    						<span class="spinner ism-go-spin" id="ism_near_bttn_loading"></span>
	                						</div>
			                            </td>
			                    </tr>
                    </tbody>
                </table>
                <table class="form-table ism-go-table">
        	        <tbody>
			                    <tr>
			                    	<td>
			                    		<table id="ism_minim_counts_table">
			                    		<?php
				                    		$arr = get_option('ism_min_count');
				                    		if($arr!==FALSE && count($arr)>0){?>
											<tr class="ism-go-social-net">
												<td class="ism-top-table ism-table-font-align">Social Network</td>
												<td class="ism-top-table ism-go-font-counts"><?php esc_html_e('Counts', 'indeed-social-media');?></td>
												<td class="ism-top-table ism-table-font-align"></td>
											</tr>
											<?php
				                    			$str = '';
				                    			$ism_list = ism_return_general_labels_sm('long_keys', TRUE, '', TRUE, TRUE);
				                    			foreach ($arr as $k=>$v){
				                    				if ($v!=''){
				                    					echo "<tr id='ism_count_min_sm-{$k}'>
				                    					<td>{$ism_list[$k]}</td>
				                    					<td>{$v}</td>
				                    					<td>
				                    					<i class='icon-trash' title='Delete' onClick='ism_deleteMinCount(\"{$k}\", \"#ism_count_min_sm-{$k}\");'></i>
				                    					</td>
				                    					</tr>";
				                    				}
				                    			}
				                    		}
			                    		?>
			                    		</table>
			                    	</td>
			                    </tr>
                    </tbody>
                </table>
            </div>
			<div id="check-counts"></div>
        </div>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Check Counts Every Time:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-table">
        	        <tbody>
  							<tr>
			                            <td>
											<?php esc_html_e('Enable:', 'indeed-social-media');?>
			                            </td>
    	                		<td>
    	                			<label>
    	                				<?php
    	                					$checked = '';
    	                					if(isset($meta_arr['ism_check_counts_everytime']) && $meta_arr['ism_check_counts_everytime']==1){
																	 $checked = 'checked="checked"';
																}
    	                				?>
    	                				<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_check_counts_everytime');" <?php echo $checked;?> />
    	                			<div class="switch ism-ib"></div></label>
    	                			<input type="hidden" value="<?php echo $meta_arr['ism_check_counts_everytime'];?>" name="ism_check_counts_everytime" id="ism_check_counts_everytime" />
    	                		</td>
    	                	</tr>
    	             </tbody>
    	         </table>
				 <span class="ism-info"><?php esc_html_e('Activating the option, the Plugin will check the counts for each URL directly from Social Network every time. Thats is more accurate but is server consuming and the API limits may be reached.', 'indeed-social-media');?></span>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>

			<div id="url-set"></div>
        </div>
       <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('URL Settings:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                <table class="form-table ism-go-table">
        	        <tbody>
                        <tr>
                            <td>
                                <strong><?php esc_html_e('URL Type:', 'indeed-social-media');?> </strong>
                                <div class="ism-go-url-type">
                                    <div>
                                        <?php
                                            $checked = '';
                                            if($meta_arr['ism_url_type']=='url'){
																							 $checked = 'checked="checked"';
																						}
                                        ?>
                                        <input type="radio" name="ism_url_type" value="url" <?php echo $checked;?> /> <?php esc_html_e('Current URL', 'indeed-social-media');?>
										<span class="ism-info"><?php esc_html_e('Use this option to avoid different Shares Counts on the same page (especially when you use a "One Page" theme).', 'indeed-social-media');?></span>
                                    </div>
                                    <div class="ism-go-current-url-type">
                                        <?php
                                            $checked = '';
                                            if($meta_arr['ism_url_type']=='permalink'){
																							 $checked = 'checked="checked"';
																						}
                                        ?>
                                        <input type="radio" name="ism_url_type" value="permalink" <?php echo $checked;?> /><?php esc_html_e('Permalink', 'indeed-social-media');?>
										<span class="ism-info"><?php esc_html_e('Use this option when you wanna display multiple posts with sharing icons inside on the same page (like some Home pages).', 'indeed-social-media');?></span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>

			<div id="social-label"></div>
        </div>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Social Media Labels', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                <table class="form-table custom-labels ism-go-sml">
        	        <tbody>
        	        	<tr>
        	        		<td></td>
        	        		<td><?php esc_html_e('Labels', 'indeed-social-media');?></td>
        	        		<td><?php esc_html_e('Order', 'indeed-social-media');?></td>
        	        	</tr>
        	        	<?php
        	        		$ism_list = ism_return_general_labels_sm('', TRUE, '', TRUE, TRUE);
        	        		$limit = ceil(count($ism_list)/4);
							$ik = 1;
							$i = 1;
        	        		foreach ($ism_list as $k=>$v){

        	        			?>
		  							<tr>
					                    <td>
					                    	<div>
					                    		<?php
					                    			if (!empty($v['font']) && $v['font']=='socicon'){
					                    				?>
					                    					<i class="ism-sc-icon ism-socicon-<?php echo $v['long_key'];?>"></i>
					                   					<?php
					                    			} else {
					                    				?>
					                    					<i class="fa-ism fa-<?php echo $v['long_key'];?>-ism"></i>
					                    				<?php
					                    			}
					                    		?>
					                    	</div>
					                    </td>
					                    <td>
					                    	<input type="text" name="ism_general_sm_labels[<?php echo $v['long_key'];?>]" value="<?php echo $v['label'];?>"/>
					                    </td>
					                    <td>
					                    	<input type="number" name="ism_order[<?php echo $v['long_key'];?>]" value="<?php echo (isset($meta_arr['ism_order'][$v['long_key']]) ) ? $meta_arr['ism_order'][$v['long_key']] : $i; ?>" class="ism-go-order" min="1" />
					                    </td>
					                </tr>
        	        			<?php
								$ik++;

								if ($ik > $limit){
									$ik = 1;
									?>
									</tbody>
			    				   </table>
								   <table class="form-table  custom-labels ism-go-sml">
        	        			   		<tbody>
					        	        	<tr>
					        	        		<td></td>
					        	        		<td><?php esc_html_e('Labels', 'indeed-social-media');?></td>
					        	        		<td><?php esc_html_e('Order', 'indeed-social-media');?></td>
					        	        	</tr>
        	        			   	<?php
								}
								$i++;
        	        		}
        	        	?>
			       </tbody>
			    </table>
			    <div class="ism-info ism-go-info-desc">
			    	<?php esc_html_e('Set the Order of Social Media Items based on number position ( 1 it\'s the first ).', 'indeed-social-media');?>
			    </div>
			    <div class="ism-go-total-labels">
        	  		<div>
        	  			<span class="ism-go-total-labels-font">"Totals" Label</span>
        	  			<input type="text" name="ism_tc_label" value="<?php echo $meta_arr['ism_tc_label'];?>"/>
        	  		</div>
					<div>
						<span class="ism-go-total-labels-font">"Totals" SubLabel</span>
						<input type="text" name="ism_tc_sublabel" value="<?php echo $meta_arr['ism_tc_sublabel'];?>"/>
					</div>
			    </div>

                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
			<div id="custom-content"></div>
        </div>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Custom Share Content', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
			<span class="ism-info ism-go-custom-share-font"><br /><?php esc_html_e('A custom content shared, other than is shows up on the page is not permitted by the Social Networks rules. Still, in some cases, this options is necessary. Some Social Networks doesn\'t accept custom content or request additional authentication, like FaceBook App ID.', 'indeed-social-media');?><br /><br /></span>
            	<table class="ism-go-table">
            		<tr>
            			<td colspan="2"><b><?php esc_html_e('Add New Custom Content', 'indeed-social-media');?></b></td>
            		</tr>
            		<tr>
            			<td>
            				<?php esc_html_e('URL:', 'indeed-social-media');?>
            			</td>
            			<td>
            				<input type="text" class="ism-go-cst-share" name='go_custom_share_url' />
            				<span class="ism-info"><?php esc_html_e('Type \'all\' in URL Section if You want to set for all URLs!', 'indeed-social-media');?></span>
						</td>
            		</tr>
            		<tr>
            			<td>
            				<?php esc_html_e('Shared URL:', 'indeed-social-media');?>
            			</td>
            			<td>
            				<input type="text" class="ism-go-cst-share" name='go_custom_share_shared_url'/>
            			</td>
            		</tr>
            		<tr>
            			<td>
            				<?php esc_html_e('Title:', 'indeed-social-media');?>
            			</td>
            			<td>
            				<input type="text" class="ism-go-cst-share" name='go_custom_share_title'/>
            			</td>
            		</tr>
            		<tr>
            			<td>
            				<?php esc_html_e('Message:', 'indeed-social-media');?>
            			</td>
            			<td>
            				<?php
            					$options = array('textarea_name'=>'go_custom_share_message', 'textarea_rows' => 5 );
            					wp_editor('', 'custom_share_message', $options);
            				?>
            			</td>
            		</tr>
            		<tr>
            			<td>
            				<?php esc_html_e('Feature Image:', 'indeed-social-media');?>
            			</td>
            			<td>
            				<input type="text" id='go_custom_share_feat_image' class="ism-go-cst-share" name='go_custom_share_feat_image' onClick="open_media_up(this);" />
            				<i class="icon-trash ism-js-do-trash-feat-image" title="Remove"></i>
            			</td>
            		</tr>
            	</table>
                <div class="submit">
                    <input type="submit" value="Save" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
                <div>
                	<?php
                		$data = get_option('ism_go_custom_share_c');
                		if($data!==FALSE && count($data)>0){
                			?>
                			<table class="ism_custom_share_table ism-gen-table" id="ism_cst_the_table">
                				<tr class="ism_first_tr">
                					<td class="ism-top-table"><?php esc_html_e('URL', 'indeed-social-media');?></td>
                					<td class="ism-top-table"><?php esc_html_e('Shared URL', 'indeed-social-media');?></td>
                					<td class="ism-top-table"><?php esc_html_e('Title', 'indeed-social-media');?></td>
                					<td class="ism-top-table"><?php esc_html_e('Message', 'indeed-social-media');?></td>
                					<td class="ism-top-table"><?php esc_html_e('Feature Image', 'indeed-social-media');?></td>
                					<td class="ism-top-table"><?php esc_html_e('Action', 'indeed-social-media');?></td>
                				</tr>
                			<?php
                			$i = 0;
                			foreach($data as $k=>$v){
								?>
									<tr id='custom_share_tr_<?php echo $i;?>'>
										<td><?php echo $k;?></td>
										<td><?php echo $v['shared_url'];?></td>
										<td><?php echo $v['title'];?></td>
										<td><?php echo ims_format_source_text(stripslashes($v['message']));?></td>
										<td><?php echo $v['feat_image'];?></td>
										<td><i class="icon-trash" onclick="delete_custom_content_for_url('<?php echo $k;?>', <?php echo $i;?>);" title="Remove"></i></td>
									</tr>
								<?php
								$i++;
                			}
                			?>
                			</table>
                			<?php
                		}
                	?>
                </div>
            </div>
			<div id="follow-settings"></div>
       </div>


        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Enable Locker On Visual Composer:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
            	<div class="ism-go-locker-visual-composer">
    	        	<label>
    	            	<?php
    	            		$checked = '';
    	            		if(isset($meta_arr['ism_enable_vc_locker']) && $meta_arr['ism_enable_vc_locker']==1){
												 $checked = 'checked="checked"';
											}
    	            	?>
    	            	<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_enable_vc_locker');" <?php echo $checked;?> />
    	                <div class="switch ism-ib"></div>
    	            </label>
    	            <input type="hidden" value="<?php echo $meta_arr['ism_enable_vc_locker'];?>" name="ism_enable_vc_locker" id="ism_enable_vc_locker" />
    	        </div>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
        	</div>
        </div>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Custom CSS:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
            	<textarea class="ism-go-custom-css" name="ism_general_custom_css"><?php echo $meta_arr['ism_general_custom_css'];?></textarea>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>

				<div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Unistall Settings', 'indeed-social-media');?></label>
            </h3>
						<div class="inside">
            	<div class="ism-go-locker-visual-composer">
    	        	<label>
    	            	<?php
    	            		$checked = '';
    	            		if(isset($meta_arr['ism_general_keep_data_after_delete']) && $meta_arr['ism_general_keep_data_after_delete']==1){
													$checked = 'checked="checked"';
											}
    	            	?>
    	            	<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#ism_general_keep_data_after_delete');" <?php echo $checked;?> />
    	                <div class="switch ism-ib"></div>
    	            </label>
    	            <input type="hidden" value="<?php echo $meta_arr['ism_general_keep_data_after_delete'];?>" name="ism_general_keep_data_after_delete" id="ism_general_keep_data_after_delete" />
    	        </div>
                <div class="submit">
                    <input type="submit" value="Save changes" name="g_submit_bttn" class="button button-primary button-large" />
                </div>
        	</div>
        </div>

    </form>

    <?php

    	//INDEED VIEWs COUNT
	    if( function_exists('ispv_general_options') ){
	    	ispv_general_options();
	    }


    	//social follow
    	if(function_exists('isf_general_options')){
    		isf_general_options();
    	}

    	//after share settings
    	ism_after_share_go_settings();
    ?>

</div>
</div>
<?php
