<?php
$curl_active = (function_exists('curl_version')) ? TRUE : FALSE;
?>
<?php
$responseNumber = isset($_GET['response']) ? $_GET['response'] : false;
if ( !empty($_GET['token'] ) && $responseNumber == 1 ){
		$ElCheck = new \Indeed\ISM\ElCheck();
		$responseNumber = $ElCheck->responseFromGet();
}
if ( $responseNumber !== false ){
		$ElCheck = new \Indeed\ISM\ElCheck();
		$responseMessage = $ElCheck->responseCodeToMessage( $responseNumber, 'ism-danger-box', 'ism-success-box', 'ism' );
}
$license = get_option( 'ism_license_set' );
$envato_code = get_option( 'ism_envato_code' );
?>
<div class="metabox-holder indeed">
		<div class="stuffbox-ism">
			<h3>
				<label class="ism-help-font">
					<?php esc_html_e('Activate Indeed Social Share & Locker Pro', 'ihc');?>
				</label>
			</h3>
			<form method="post">
				<div class="inside">
					<?php if (!$curl_active): ?>
					<div class="iump-form-line iump-no-border ism-curl-font"><?php esc_html_e(' cURL is disabled. You need to enable if for further activation request.', 'indeed-social-media');?></div>
					<?php endif;?>
					<div class="iump-form-line iump-no-border ism-purchase-code">
						<label class="ism-labels"><?php esc_html_e('Purchase Code', 'ihc');?></label>
					</div>
					<div class="iump-form-line iump-no-border ism-license-field">
						<input name="ism_licensing_code" type="text" value="<?php echo $envato_code;?>" class="ism-license-code"/>
					</div>

					<div class="ism-stuffbox-submit-wrap ism-submit-form ism-revoke-license-button">
						<?php if ( $license ):?>
		            <div class="ism-revoke-license ism-js-revoke-license"><?php esc_html_e( 'Revoke License', 'ism' );?></div>
		        <?php else: ?>
								<input type="submit" value="<?php esc_html_e('Activate License', 'ism');?>" name="ism_save_licensing_code" class="button button-primary button-large" />
		        <?php endif;?>
					</div>

					<div class="clear"></div>

					<div class="ism-license-status">
		        	<?php
								if ( $responseNumber !== false ){
										echo $responseMessage;
								} else if ( !empty( $_GET['revoke'] ) ){
										?>
										<div class="ism-success-box"><?php esc_html_e( 'You have just revoke your license for Indeed Social Share & Locker Pro plugin.', 'ism' );?></div>
										<?php
								} else if ( $license ){ ?>
											<div class="ism-success-box"><?php esc_html_e( 'Your license for Indeed Social Share & Locker Pro is currently Active.', 'ism' );?></div>
		          <?php } ?>
		      </div>

					<div class="ism-license-status">
						<?php
						if ( isset($_GET['extraCode']) && isset( $_GET['extraMess'] ) && $_GET['extraMess'] != '' ){
								$_GET['extraMess'] = stripslashes($_GET['extraMess']);
								if ( $_GET['extraCode'] > 0 ){
										// success
										?>
										<div class="ism-success-box"><?php echo urldecode( $_GET['extraMess'] );?></div>
										<?php
								} else if ( $_GET['extraCode'] < 0 ){
										// errors
										?>
										<div class="ism-danger-box"><?php echo urldecode( $_GET['extraMess'] );?></div>
										<?php
								} else if ( $_GET['extraCode'] == 0 ){
										// warning
										?>
										<div class="ism-warning-box"><?php echo urldecode( $_GET['extraMess'] );?></div>
										<?php
								}
						}
					?>
					</div>

					<div class="ism-valid-code-desc">
					<p><?php esc_html_e('A valid purchase code Activate the Full Version of ', 'indeed-social-media');?><strong> Indeed Social Share & Locker Pro</strong> <?php esc_html_e(' plugin and provides access on support system. A purchase code can only be used for ', 'indeed-social-media');?>  <strong><?php esc_html_e(' ONE ', 'indeed-social-media');?></strong> <?php esc_html_e(' Indeed Social Share & Locker Pro for WordPress installation on ', 'indeed-social-media');?> <strong>
						<?php esc_html_e('ONE', 'indeed-social-media');?></strong> <?php esc_html_e(' WordPress site at a time. If you previosly activated your purchase code on another website, then you have to get a ', 'indeed-social-media');?> <a href="http://codecanyon.net/item/social-share-locker-pro-wordpress-plugin/8137709?ref=azzaroco" target="_blank"><?php esc_html_e('new Licence', 'indeed-social-media');?></a>.</p>
					<h4><?php esc_html_e('Where can I find my Purchase Code?', 'indeed-social-media');?></h4>
					<a href="http://codecanyon.net/item/social-share-locker-pro-wordpress-plugin/8137709?ref=azzaroco" target="_blank">
						<img src="<?php echo ISM_DIR_URL;?>admin/files/images/purchase_code.jpg" alt="Purchase Code" class="ism-img-code"/>
						</a>
					</div>
				</div>
			</form>
		</div>
	<div class="stuffbox-ism">
		<h3>
			<label class="ism-contact-doc">
				<?php esc_html_e('Contact Support', 'indeed-social-media');?>
			</label>
		</h3>
		<div class="inside">
			<div class="submit ism-suport-desc">
			<?php esc_html_e(' In order to contact Indeed support team you need to create a ticket providing all the necessary details via our support system: support.wpindeed.com ', 'indeed-social-media');?>
			</div>
			<div class="submit ism-ticket-style">
				<a href="http://support.wpindeed.com/open.php?topicId=12" target="_blank" class="button button-primary button-large"> <?php esc_html_e('Submit Ticket', 'indeed-social-media');?></a>
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<div class="stuffbox-ism">
		<h3>
			<label class="ism-contact-doc">
		    <?php esc_html_e('Documentation', 'indeed-social-media');?>
		    </label>
		</h3>
		<div class="inside">
			<iframe src="https://demoism.wpindeed.com/documentation/" class="ism-iframe" ></iframe>
		</div>
	</div>
</div>
</div>

<span class="ism-js-license-page-nonce" data-value="<?php echo wp_create_nonce( 'ism_license_nonce' );?>" ></span>
<span class="ism-js-revoke-licese-url" data-value="<?php echo admin_url('admin.php?page=ism_manage&tab=help&revoke=true');?>"></span>
