<?php
if(isset($_POST['wd_submit_bttn']) && isset( $_POST['ism_admin_nonce'] ) && wp_verify_nonce( $_POST['ism_admin_nonce'], 'ism_admin_nonce' )){
	ism_return_arr_update( 'wd' );
}
//default settings
$meta_arr = ism_return_arr_val( 'wd' );
?>
<div class="metabox-holder indeed">

	<div id="social-set"></div>
    <form method="post">
			<input type="hidden" value="<?php echo wp_create_nonce( 'ism_admin_nonce' );?>" name="ism_admin_nonce" />
	<div class="stuffbox-ism">
		<div class="ism-top-message"><b><?php esc_html_e('"Website Display" ', 'indeed-social-media');?></b> <?php esc_html_e(' will help you to show Social Share Icons on the entire website with a Custom position, Floating or not and just for a certain type of Pages.', 'indeed-social-media');?></div>
	</div>
	<?php
		//sm checkboxes
		ism_print_list_checkboxes($meta_arr, 'wd', 'wd_submit_bttn');
	?>

        <?php
			//STANDARD TEMPLATES
        	ism_return_standard_templates_html( 'wd_template', $meta_arr['wd_template'], 'wd_submit_bttn' );

        	//SPECIAL TEMPLATES
        	ism_return_special_templates_html( 'wd_template', $meta_arr['wd_template'], 'wd_submit_bttn' );
        ?>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Display Options:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
               <table class="form-table ism-content">
	                <tbody>
                        <tr >
                            <th scope="row">
                                <?php esc_html_e('List Align:', 'indeed-social-media');?>
								<span class="ism-info"><?php esc_html_e('Select how the the list should be displayed.', 'indeed-social-media');?></span>
                            </th>
                            <td>
                                <?php
                                    $checked = ism_checkSelected('vertical', $meta_arr['wd_list_align'], 'radio');
                                ?>
                                <input type="radio" name="wd_list_align" value="vertical" <?php echo $checked;?>  /><span class="indeedcrlabel"><?php esc_html_e('Vertical', 'indeed-social-media');?></span>
                                <?php
                                    $checked = ism_checkSelected('horizontal', $meta_arr['wd_list_align'], 'radio');
                                ?>
                                <input type="radio" name="wd_list_align" value="horizontal" <?php echo $checked;?>  /><span class="indeedcrlabel"><?php esc_html_e('Horizontal', 'indeed-social-media');?></span>
                            </td>
                        </tr>
                	</tbody>
                </table>

               <table class="form-table ism-content">
	                <tbody>
                        <tr >
                            <th scope="row">
                                <?php esc_html_e('Animation Show:', 'indeed-social-media');?>
                            </th>
                            <td>
                            	<select name="wd_animation">
                            	<?php
                            		$a_arr = ism_return_special_effects();
	                            	foreach($a_arr as $k=>$v){
	                            		?>
	                            		<optgroup label="<?php echo $k;?>">
	                            			<?php
	                            				foreach($v as $key=>$value){
	                            					$selected = '';
	                            					if($meta_arr['wd_animation']==$key){
																					 $selected = 'selected="selected"';
																				}
	                            					?>
	                            						<option value="<?php echo $key;?>" <?php echo $selected;?> ><?php echo $value;?></option>
	                            					<?php
	                            				}
	                            			?>
	                            		</optgroup>
	                            		<?php
	                            	}
                            	?>
                            	</select>
                            </td>
                        </tr>
                    </tbody>
               </table>
                <table class="form-table ism-counts">
	                <tbody>
                        <tr >
                            <th scope="row">
                                <?php esc_html_e('Display Counts', 'indeed-social-media');?>
								<span class="ism-info"><?php esc_html_e('Number of shares on each network will be displayed.', 'indeed-social-media');?></span>
                            </th>
                            <td>
                                <?php
                                    $checked = ism_checkSelected('true', $meta_arr['wd_display_counts'], 'checkbox');
                                ?>
                                <label>
                                	<input type="checkbox" class="ism-switch" onClick="ism_check_and_h(this, '#display_counts');" <?php echo $checked;?> />
                                	<div class="switch ism-inline-block"></div>
                                </label>
                                <input type="hidden" value="<?php echo $meta_arr['wd_display_counts'];?>" name="wd_display_counts" id="display_counts" />
                            </td>
                        </tr>
                        <tr >
                            <th scope="row">
                                <?php esc_html_e('Display Full Name Of Social Network', 'indeed-social-media');?>
                            </th>
                            <td>
                                <?php
                                    $checked = ism_checkSelected('true', $meta_arr['wd_display_full_name'], 'checkbox');
                                ?>
                                <label>
                                	<input type="checkbox" onClick="ism_check_and_h(this, '#wd_display_full_name');" class="ism-switch" <?php echo $checked;?> />
                                	<div class="switch ism-inline-block"></div>
                                </label>
                                <input type="hidden" value="<?php echo $meta_arr['wd_display_full_name'];?>" name="wd_display_full_name" id="wd_display_full_name" />
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="wd_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>
	<?php
		$info = 'If none of them is not selected, the Social Icons will <strong>not show up</strong> using the "Website Display".';
		return_display_where_html( 'wd', $meta_arr, 'wd_submit_bttn', $info );
	?>
        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Position:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                <table class="form-table">
	                <tbody>
                        <tr >
                            <th scope="row">
                               <?php esc_html_e('Floating:', 'indeed-social-media');?>
                            </th>
                            <td>
                                <?php $checked = ism_checkSelected($meta_arr['wd_floating'], 'yes', 'radio');?>
                                <input type="radio" name="wd_floating" value="yes" <?php echo $checked;?> /><span class="indeedcrlabel"><?php esc_html_e('Yes', 'indeed-social-media');?></span>
                                <?php $checked = ism_checkSelected($meta_arr['wd_floating'], 'no', 'radio');?>
                                <input type="radio" name="wd_floating" value="no" <?php echo $checked;?> /><span class="indeedcrlabel"><?php esc_html_e('No', 'indeed-social-media');?></span>
								<span class="ism-info ism-float-italic"><?php esc_html_e('The Social Icons will stay all the time on the screen despite the scroll position', 'indeed-social-media');?></span>
                            </td>
                        </tr>
                        <tr >
                            <th scope="row">
                                <?php esc_html_e('Position', 'indeed-social-media');?>
								<span class="ism-info"><?php esc_html_e('Set the Box\'s icons position. Can be used positive or negative values.', 'indeed-social-media');?></span>
                            </th>
                            <td>
                               <table>
                                  <tr>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_top_bottom'], 'top', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="wd_top_bottom" value="top" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Top', 'indeed-social-media');?></span></td>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_top_bottom'], 'bottom', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="wd_top_bottom" value="bottom" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Bottom', 'indeed-social-media');?></span></td>
                                  </tr>
								  <tr class="ism-cst-pos">
									  <td class="indeed_td_np"><input type="number" value="<?php echo $meta_arr['wd_top_bottom_value'];?>" name="wd_top_bottom_value" class="indeed_number ism-numb"/></td>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_top_bottom_type'], '%', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio" class="ism-cstp" name="wd_top_bottom_type" value="%" <?php echo $checked;?>/><span class="indeedcrlabel ism-delimiter">% | </span>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_top_bottom_type'], 'px', 'radio');?>
                                      <input type="radio"  name="wd_top_bottom_type" value="px" <?php echo $checked;?>/><span class="indeedcrlabel">px</span></td>
                                  </tr>
                                  <tr>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_left_right'], 'left', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="wd_left_right" value="left" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Left', 'indeed-social-media');?></span></td>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_left_right'], 'right', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio"  name="wd_left_right" value="right" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Right', 'indeed-social-media');?></span></td>
                                  </tr>
								  <tr>
									  <td class="indeed_td_np"><input type="number" value="<?php echo $meta_arr['wd_left_right_value'];?>" name="wd_left_right_value" class="indeed_number ism-numb"/></td>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_left_right_type'], '%', 'radio');?>
                                      <td class="indeed_td_np"><input type="radio" class="ism-cstp" name="wd_left_right_type" value="%" <?php echo $checked;?>/><span class="indeedcrlabel ism-delimiter">% | </span>
                                          <?php $checked = ism_checkSelected($meta_arr['wd_left_right_type'], 'px', 'radio');?>
                                      <input type="radio"  name="wd_left_right_type" value="px" <?php echo $checked;?>/><span class="indeedcrlabel">px</span></td>
                                  </tr>
                               </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="wd_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
        </div>

       <?php
       		//total counts metabox
       		echo total_share_count_admin_box( 'wd', $meta_arr );

       		//visits
       		ism_return_views_section( 'wd', $meta_arr, 'wd_submit_bttn' );

       		//after show
       		ism_after_share_html( 'wd', $meta_arr, 'wd_submit_bttn' );
       ?>

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Mobile:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                <table class="form-table">
	                <tbody>
                        <tr >
                            <th scope="row">
                               <?php esc_html_e('Disable On Mobile:', 'indeed-social-media');?>
                            </th>
                            <td>
    	                		<label>
    	                			<?php
    	                				$checked = '';
    	                				if(isset($meta_arr['wd_disable_mobile']) && $meta_arr['wd_disable_mobile']==1){
																 $checked = 'checked="checked"';
															}
    	                			?>
    	                			<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#wd_disable_mobile');" <?php echo $checked;?> />
    	                		<div class="switch ism-inline-block"></div>
    	                		</label>
    	                		<input type="hidden" value="<?php echo $meta_arr['wd_disable_mobile'];?>" name="wd_disable_mobile" id="wd_disable_mobile" />

                            </td>
                        </tr>
                     </tbody>
                </table>
                <div class="submit">
                    <input type="submit" value="Save changes" name="wd_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
       </div>
    </form>
</div>
</div>
