<?php
	isf_update_metas();//update metas
	$meta_arr = isf_get_metas();//get metas
?>
<form method="post">

        <div class="stuffbox-ism">
            <h3>
                <label><?php esc_html_e('Social Follow Settings:', 'indeed-social-media');?></label>
            </h3>
            <div class="inside">
                <table class="isf-follow-table">
                		<tr>
                			<td class="ism-go-ten"></td>
                			<td class="ism-go-fifty"><b><?php esc_html_e('URL', 'indeed-social-media');?></b></td>
                			<td class="ism-go-twenty"><b><?php esc_html_e('Sublabel', 'indeed-social-media');?></b></td>
                			<td class="ism-go-fifteen"><b><?php esc_html_e('Offline Counts', 'indeed-social-media');?></b></td>
                		</tr>
						<?php
							$sm_items = ism_return_general_labels_sm( '', TRUE, '', TRUE );

							if($sm_items['subscribe']){
								 unset($sm_items['subscribe']);
							}


							$limit = ceil(count($sm_items)/3);
							$i = 1;
							foreach ($sm_items as $k=>$v){

								?>
									<tr>
										<td  class="ism-go-ten">
											<?php
												if (!empty($v['font']) && $v['font']=='socicon'){
													?>
														<i class="ism-sc-icon ism-socicon-<?php echo $v['long_key'];?>"></i>
													<?php
												} else {
													?>
														<i class="fa-ism fa-<?php echo $v['long_key'];?>-ism"></i>
													<?php
												}
											?>

										</td>
										<td class="ism-go-fifty">
											<input type="text" value="<?php echo (isset($meta_arr['isf_urls'][$v['long_key']])) ? $meta_arr['isf_urls'][$v['long_key']] : '';?>" name="isf_urls[<?php echo $v['long_key'];?>]"/>
										</td>
										<td class="ism-go-twenty">
											<input type="text" value="<?php echo (isset($meta_arr['isf_sublabels'][$v['long_key']])) ? $meta_arr['isf_sublabels'][$v['long_key']] : '';?>" name="isf_sublabels[<?php echo $v['long_key'];?>]" />
										</td>
										<td class="ism-go-fifteen">
											<input type="number" value="<?php echo (isset($meta_arr['isf_initial_counts'][$v['long_key']]) ) ? $meta_arr['isf_initial_counts'][$v['long_key']] : '';?>" name="isf_initial_counts[<?php echo $v['long_key'];?>]" min="0" />
										</td>
									</tr>
								<?php
								$i++;
								if ($i>=$limit){
									$i = 1;
									?>
									</table>
									<table class="isf-follow-table">
										<tr>
				                			<td class="ism-go-ten"></td>
				                			<td class="ism-go-fifty"><b><?php esc_html_e('URL', 'indeed-social-media');?></b></td>
				                			<td class="ism-go-twenty"><b><?php esc_html_e('Sublabel', 'indeed-social-media');?></b></td>
				                			<td class="ism-go-fifteen"><b><?php esc_html_e('Offline Counts', 'indeed-social-media');?></b></td>
										</tr>
									<?php
								}
							}
						?>
                </table>
				<div class="submit">
                    <input type="submit" value="Save changes" name="isf_submit_bttn" class="button button-primary button-large" />
                </div>
             </div>
		</div>
				<div class="stuffbox-ism">
		            <h3>
		                <label><?php esc_html_e('Social Follow APIs', 'indeed-social-media');?></label>
		            </h3>
		            <div class="inside">
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('Facebook', 'indeed-social-media');?></div>

									<!-- start developer work -->
										<div class="isf_row_dashboard">
											<span class="isf_inside_row_label"><?php esc_html_e('Page ID:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_facebook_page_id'];?>" name="isf_facebook_page_id" />
											<span class="ism-info"> <?php esc_html_e('In order to get Facebook page ID go to https://facebook.com/your_page_name click ', 'indeed-social-media');?>  <b><?php esc_html_e(' About ', 'indeed-social-media');?></b> <?php esc_html_e(' and look bellow for ', 'indeed-social-media');?> <b><?php esc_html_e(' Page ID', 'indeed-social-media');?></b> </span>
										</div>
										<div class="isf_row_dashboard">
											<span class="isf_inside_row_label"><?php esc_html_e('Page Access Token:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_facebook_page_acc_token'];?>" name="isf_facebook_page_acc_token" />
											<span class="ism-info"><?php esc_html_e('To receive a Page Access Token, register on ', 'indeed-social-media');?> <a href="https://developers.facebook.com" target="_blank">https://developers.facebook.com</a> <?php esc_html_e(' and create a new application.', 'indeed-social-media');?>
												 <?php esc_html_e('After you suceed ', 'indeed-social-media');?><br> <?php esc_html_e(' with your first app, go to header menu ', 'indeed-social-media');?><b><?php esc_html_e(' Tools ', 'indeed-social-media');?></b> <?php esc_html_e(' and submit on ', 'indeed-social-media');?> <b><?php esc_html_e(' Graph API explorer', 'indeed-social-media');?></b>.
												  <?php esc_html_e(' Click', 'indeed-social-media');?> <b><?php esc_html_e(' Get Token', 'indeed-social-media');?></b> <?php esc_html_e(' and submit option ', 'indeed-social-media');?>
											  	<b><?php esc_html_e('Get Page Access Token', 'indeed-social-media');?></b>.<br>
													<?php esc_html_e('After you login in ', 'indeed-social-media');?> <b><?php esc_html_e(' Access Token bar ', 'indeed-social-media');?></b>  <?php esc_html_e(' will generate a token.', 'indeed-social-media');?>
												 	<?php esc_html_e('Paste in Page Access Token field the token you just generate.', 'indeed-social-media');?> </span>
												<div class="ism-info">
													<p class="ism-info"><b><?php esc_html_e('Generate a long-lived access token', 'indeed-social-media');?></b></p>
													<ul>
														<li> <?php esc_html_e('Create a Facebook App or use an existing app if you already have one.', 'indeed-social-media');?></li>
														<li><?php esc_html_e('Navigate to Facebook ', 'indeed-social-media');?> <a href='https://developers.facebook.com/tools/explorer' target='_blank'><?php esc_html_e(' Graph API Explorer', 'indeed-social-media');?></a>.</li>
														<li>	
															<ul>
																<li><?php esc_html_e('Select an app from Application drop-down.', 'indeed-social-media');?></li>
																<li><?php esc_html_e('In the next drop-down select "Get user access token". In the  pop-up window select permissions for the user access token.', 'indeed-social-media');?></li>
																<li><?php esc_html_e('Click on "Get Access Token" button. This will create short-lived user access token.', 'indeed-social-media');?></li>
															</ul>
														</li>
														<li><?php esc_html_e('Navigate to ', 'indeed-social-media');?> <a href='https://developers.facebook.com/tools/accesstoken'target='_blank'><?php esc_html_e(' Access Token Tool page', 'indeed-social-media');?></a>.</li>
														<li>	
															<ul>
																<li><?php esc_html_e('Press debug option for the User Token for the current app.', 'indeed-social-media');?></li>
																<li><?php esc_html_e('This will  take you again to ', 'indeed-social-media');?> <a href='https://developers.facebook.com/tools/debug/accesstoken/' target='_blank'><?php esc_html_e(' Access Token Debugger ', 'indeed-social-media');?></a>
																<?php esc_html_e(' and press debug to see the full info regarding short lived user access token.', 'indeed-social-media');?></li>
																<li><?php esc_html_e('Short-lived user access token expire after an hour. Click on “Extend Access Token” to get the long-lived access token.', 'indeed-social-media');?></li>
															</ul>
														</li>	
														<li><?php esc_html_e('Return to ', 'indeed-social-media');?> <a href='https://developers.facebook.com/tools/explorer' target='_blank'><?php esc_html_e(' Graph API Explorer ', 'indeed-social-media');?></a> <?php esc_html_e(' and paste the recently created long-lived user access token in the Access Token field.', 'indeed-social-media');?></li>
														<li><?php esc_html_e('Paste in Page Access Token field the long-lived token you just generate.', 'indeed-social-media');?></li>
													</ul>
												</div>
										</div>
									<!--end developer work -->
		            	</div>
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('Twitter', 'indeed-social-media');?></div>
		            		<div class="isf_row_dashboard">
		            			<span class="isf_inside_row_label"><?php esc_html_e('UserName:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_twitter_username'];?>" name="isf_twitter_username" />
		            		</div>
		            		<div class="isf_row_dashboard">
		            			<span class="isf_inside_row_label"><?php esc_html_e('Consumer key:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_twitter_ck'];?>" name="isf_twitter_ck" />
		            		</div>
		            		<div class="isf_row_dashboard">
		            			<span class="isf_inside_row_label"><?php esc_html_e('Consumer secret:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_twitter_cs'];?>" name="isf_twitter_cs" />
		            		</div>
		            		<div class="isf_row_dashboard">
		            			<span class="isf_inside_row_label"><?php esc_html_e('Access token:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_twitter_at'];?>" name="isf_twitter_at" />
		            		</div>
		            		<div class="isf_row_dashboard">
		            			<span class="isf_inside_row_label"><?php esc_html_e('Access token secret:', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_twitter_ats'];?>" name="isf_twitter_ats" />
		            		</div>
		            		<div>
		            			<span class="ism-info">
		            				<?php esc_html_e('You can get consumer key, consumer secret, acces token and access token secret after you register on ', 'indeed-social-media');?> <br/> <?php esc_html_e('Twitter Application Management: ', 'indeed-social-media');?>
		    	         			<a href="https://apps.twitter.com/app/new" target="_blank">https://apps.twitter.com/app/new</a>
		            			</span>
		            		</div>
		            	</div>
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('Google+', 'indeed-social-media');?></div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('Page ID/Name', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_google_page_id'];?>" name="isf_google_page_id" />
		            			</div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('API key', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_google_api_key'];?>" name="isf_google_api_key" />
		            			</div>
		            	</div>
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('LinkedIn', 'indeed-social-media');?></div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('Company Name:', 'indeed-social-media');?> </span> <input type="text" value="<?php echo $meta_arr['isf_link_id'];?>" name="isf_link_id" />
		            			</div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('APP Key: ', 'indeed-social-media');?> </span> <input type="text" value="<?php echo $meta_arr['isf_link_app_key'];?>" name="isf_link_app_key" />
		            			</div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('APP Secret: ', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_link_app_secret'];?>" name="isf_link_app_secret" />
		            			</div>
		            	</div>
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('Pinterest', 'indeed-social-media');?></div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('UserName: ', 'indeed-social-media');?></span> <input type="text" value="<?php echo $meta_arr['isf_pinterest_user'];?>" name="isf_pinterest_user" />
		            			</div>
		            	</div>
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('VKontakte', 'indeed-social-media');?></div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('ID/Name: ', 'indeed-social-media');?> </span> <input type="text" value="<?php echo $meta_arr['isf_vk_name'];?>" name="isf_vk_name" />
		            			</div>
		            	</div>
		            	<div class="isf_row_wrapp">
		            		<div class="isf_mini_label_dashboard"><?php esc_html_e('Delicious', 'indeed-social-media');?></div>
		            			<div class="isf_row_dashboard">
		            				<span class="isf_inside_row_label"><?php esc_html_e('UserName: ', 'indeed-social-media');?> </span> <input type="text" value="<?php echo $meta_arr['isf_delicious_user'];?>" name="isf_delicious_user" />
		            			</div>
		            	</div>

		            	<div class="ism-go-top">
		            		<div class="ism-inline-block"><?php esc_html_e('Check On Every ', 'indeed-social-media');?> <input type="number" value="<?php echo $meta_arr['isf_check_time'];?>" name="isf_check_time" class="ism-after-share-popup-width" min="1"/> <?php esc_html_e(' Hours', 'indeed-social-media');?></div>
		            	</div>
				<div class="submit">
                    <input type="submit" value="Save changes" name="isf_submit_bttn" class="button button-primary button-large" />
                </div>
            </div>
      </div>
</form>
