/*
* Indeed Social Media - back-end functions
*/
"use strict";
function make_inputh_string(divCheck, showValue, hidden_input_id){
    var str = jQuery(hidden_input_id).val();
    if ( str != '' ){
        var show_arr = str.split(',');
    } else {
        var show_arr = new Array();
    }
    if ( jQuery(divCheck).is(':checked') ){
        show_arr.push(showValue);
    } else {
        var index = show_arr.indexOf(showValue);
        show_arr.splice(index, 1);
    }
    str = show_arr.join(',');
    jQuery( hidden_input_id ).val( str );
}

function ism_shortcode_update(tab){
  var after_content;
	if(jQuery('#template_1').val()!='0'){
		var the_template = jQuery('#template_1').val();
		var target_id = '#ism_preview_1';
	}else if(jQuery('#template_2').val()!='0'){
		var the_template = jQuery('#template_2').val();
		var target_id = '#ism_preview_2';
	}

	if ( typeof the_template=='undefined' || the_template=='' ){
		the_template = 'ism_template_1';
	}

    // CREATE SHORTCODE
    if (tab=='shortcode_locker'){
    	var str = "[indeed-social-locker ";
    } else {
    	var str = "[indeed-social-media ";
    }
    str += "sm_list='"+jQuery('#sm_items').val()+"' ";
    str += "sm_template='"+the_template+"' ";
    str += "sm_list_align='"+jQuery('#list_align_type').val()+"' ";
    if (jQuery('#display_counts').is(':checked')){
    	str += "sm_display_counts='true' ";
    } else {
    	str += "sm_display_counts='false' ";
    }
    if (jQuery('#display_full_name').is(':checked')){
    	str += "sm_display_full_name='true' ";
    } else {
    	str += "sm_display_full_name='false' ";
    }

	if( jQuery('#no_cols').val() && jQuery('#no_cols').val() != 0 ){
		str += "no_cols='"+jQuery('#no_cols').val()+"' ";
	}
	if( jQuery('#box_align').val() && jQuery('#box_align').val() != 'left' ){
		str += "box_align='"+jQuery('#box_align').val()+"' ";
	}
    if( tab=='shortcode'){
    	if(jQuery('#disable_mobile').is(':checked')){
        str += "sm_disable_mobile=1 ";
      }
    	if (jQuery('#ivc_display_views').is(':checked') ){
    		str += 'ivc_display_views=1 ';
    		str += 'ivc_position=\''+jQuery('#ivc_position').val()+'\' ';
    		if (jQuery('#ivc_sublable_on').is(':checked') ){
            str += 'ivc_sublable_on=1 ';
        }
    		str += 'ivc_theme=\''+jQuery('#ivc_theme').val()+'\' ';
    	}

    	if(jQuery('#after_share_enable').is(':checked') ){
    		str += 'after_share_enable=1 ';
    		str += 'after_share_title=\''+jQuery('#after_share_title').val()+'\' ';
        after_content = jQuery('#after_share_content').val();
        after_content = after_content.replace(/</g, "&lt;").replace(/>/g, "&gt;");
    		str += 'after_share_content=\''+after_content+'\' ';
    	}
    }

    if( jQuery('#print_total_shares').is(':checked') ){
    	  str += 'print_total_shares=1 ';
        if( jQuery('#tc_position').val() ){
        	str += 'tc_position=\''+jQuery('#tc_position').val()+'\' ';
        }
        if( jQuery('#display_tc_label').is(':checked')){
        	str += 'display_tc_label=1 ';
        }
        if( jQuery('#display_tc_sublabel').is(':checked') ){
        	str += 'display_tc_sublabel=1 ';
        }
        if( jQuery('#tc_theme').val() ){
        	str += 'tc_theme=\''+jQuery('#tc_theme').val()+'\' ';
        }
    }

    if (tab=='shortcode_locker'){
    	str += "unlock_type=" + jQuery('#unlock_type').val() + " ";
    	str += "locker_template="+jQuery('#locker_template').val()+" ";
    	if(jQuery('#locker_template').val()==1){
            str += "sm_lock_padding=" + jQuery('#locker_padding').val() + " ";
            str += "sm_lock_bk='" + jQuery('#locker_background').val() + "' ";
    	}
        var locker_text = jQuery('#display_text').val();
        locker_text = locker_text.replace(/</g, "&lt;").replace(/>/g, "&gt;");
        str += "sm_d_text='" + locker_text + "' ";

        //targeting
        if (jQuery("#reg_users_enabled").val()==1){
        	//show/hide to registered users
        	str += "reg_users='" + jQuery('#reg_users').val() + "' ";
        }
        if (jQuery("#user_commented_enable").val()==1){
        	//show/hide to users that commented
        	str += "user_commented='" + jQuery('#user_commented').val() + "' ";
        }
        if (jQuery("#user_roles_enable").val()==1){
        	//show/hide to user roles
        	str += "user_roles='" + jQuery('#user_roles').val() + "' ";
        	if (jQuery("#user_roles_val").val()){
        		str += "user_roles_val='" + jQuery("#user_roles_val").val() + "' ";
        	} else {
        		str += "user_roles_val='' ";
        	}
        }
        if (jQuery("#referer_visits_enable").val()==1){
        	//show/hide to referers
        	str += "referer_visits='" + jQuery('#referer_visits').val() + "' ";
        	var refs = new Array();
        	if (jQuery("#referer_google").is(":checked")){
        		refs.push('google');
        	}
        	if (jQuery("#referer_yahoo").is(":checked")){
        		refs.push('yahoo');
        	}
        	if (jQuery("#referer_bing").is(":checked")){
        		refs.push('bing');
        	}
        	var refs_str = refs.join(',');
        	if (jQuery("#custom_refs").val()){
        		if (refs_str!=''){
        			refs_str += ',';
        		}
        		refs_str += jQuery("#custom_refs").val();
        	}

        	str += "referer_values='" + refs_str + "' ";
        }

        if(jQuery('#enable_timeout_lk').val()==1){
        	str += "enable_timeout_lk=1 ";
        	if(jQuery('#ism_timeout_locker').val()!=''){
              str += "sm_timeout_locker="+jQuery('#ism_timeout_locker').val()+" ";
          }
        }
		if(jQuery('#delay_lk').val()==1){
        	str += "delay_lk=1 ";
        	if (jQuery('#ism_delay_lk').val()!=''){
            str += "sm_delay_lk="+jQuery('#ism_delay_lk').val()+" ";
          }
        }
        if( jQuery('#reset_locker').val()==1 && jQuery('#locker_reset_after').val()!='' ){
        	str += "reset_locker=1 ";
        	str += "locker_reset_after="+jQuery('#locker_reset_after').val()+" ";
        	str += "locker_reset_type='"+jQuery('#locker_reset_type').val()+"' ";
        }
        str += "ism_overlock='"+jQuery('#ism_overlock').val()+"' ";

        if( jQuery('#disable_mobile').is(':checked') ){
          str += 'disable_mobile=1 ';
        }

        if ( jQuery('#twitter_hide_mobile').is(':checked') ){
            str += 'twitter_hide_mobile=1 ';
        }
        if ( jQuery('#twitter_unlock_onclick').is(':checked') ){
            str += 'twitter_unlock_onclick=1 ';
        }

        //end of locker
        str += "]&nbsp;&nbsp;&nbsp;";
        str += "[/indeed-social-locker]";
        //AJAX CALL
        ism_preview_locker(str);
    } else {
      str += "]";
    }
    if ( jQuery('#sm_items').val() != '' ){
        jQuery('.the_shortcode').html(str);
        jQuery(".php_code").html('&lt;?php echo do_shortcode("'+str+'");?&gt;');
    } else {
        var msg = "Please Select Some Social Media Buttons";
        jQuery('.the_shortcode').html(msg);
        jQuery(".php_code").html(msg);
    }
}
//PREVIEW LOCKER
function ism_preview_locker(the_shortcode){
  jQuery.ajax({
      type : "post",
      url : window.ism_base_path+'/wp-admin/admin-ajax.php',
      data : {
          action: "ism_preview_shortcode",
          shortcode: the_shortcode,
      },
	    success: function(data){
  		    jQuery('#ISM_preview_shortcode').html(data);
	    },
  });
}

function check_and_h(from, target){
	if (jQuery(from).is(":checked")){
    jQuery(target).val(1);
  } else {
    jQuery(target).val(0);
  }
}
function ism_check_and_h(from, where){
	if (jQuery(from).is(":checked")){
    jQuery(where).val('true');
  } else {
    jQuery(where).val('false');
  }
}

function check_and_h_sh(from, target){
	if (jQuery(from).is(":checked")){
		jQuery(target).val('show');
	} else {
		jQuery(target).val('hide');
	}
}

///preview templates
function ism_preview_templates_be(preview_id, hide_preview, disabled_id, current_id, input_name){
    jQuery(current_id+" option[value='0']").remove();//remove value 0 from current select
    if( jQuery(disabled_id+" option[value='0']").length == 0 ){ //add value 0 for disabled select
    	jQuery(disabled_id).prepend('<option value="0">...</option>');
    }
	jQuery(disabled_id).val('0');
	jQuery(disabled_id).removeAttr('name');
	jQuery(hide_preview).fadeOut();
	if( jQuery("#special_mobile_template option[value='0']").length == 0 ){
		jQuery('#special_mobile_template').prepend('<option value="0">...</option>');
		jQuery('#special_mobile_template').val('0');
	}else if(jQuery('#special_mobile_template').val()!='0'){
    jQuery('#special_mobile_template').val('0');
  }

	jQuery(current_id).attr('name', input_name);
    jQuery(preview_id).fadeOut(100);
    var the_template = jQuery(current_id).val();
    if(the_template==''){
      return;
    }
      jQuery.ajax({
         type : "post",
         url : window.ism_base_path+'/wp-admin/admin-ajax.php',
         data : {
                    action: "ism_admin_items_preview",
                    template: the_template,
                },
         success: function(response){
                jQuery(preview_id).html(response);
                jQuery(preview_id).fadeIn(600);
         }
      });
}

jQuery(document).on('keyup', '#display_text', function() {
    ism_shortcode_update('shortcode_locker');
});
jQuery(document).on('blur', '#display_text', function() {
    ism_shortcode_update('shortcode_locker');
});
function updateTextarea(){
    var content = jQuery( "#display_text_ifr" ).contents().find( '#tinymce' ).html();
    jQuery('#display_text').val(content);
    ism_shortcode_update('shortcode_locker');
}
function updateFromWPEditor(id){
    var content = jQuery( '#'+id+'_ifr' ).contents().find( '#tinymce' ).html();
    jQuery('#'+id).val(content);
    ism_shortcode_update('shortcode');
}
jQuery(document).on('click', '#after_share_content-html', function() {
    jQuery('#ism_update_textarea_bttn').css('display', 'none');
});
jQuery(document).on('click', '#after_share_content-tmce', function() {
    jQuery('#ism_update_textarea_bttn').css('display', 'block');
});
jQuery(window).bind('load', function(){
    var display = jQuery('#after_share_content').css('display');
    if(display=='none'){
      jQuery('#ism_update_textarea_bttn').css('display', 'block');
    }
});
jQuery(document).on('click', '#display_text-html', function() {
    jQuery('#ism_update_textarea_bttn').css('display', 'none');
});
jQuery(document).on('click', '#display_text-tmce', function() {
    jQuery('#ism_update_textarea_bttn').css('display', 'block');
});
jQuery(window).bind('load', function(){
    var display = jQuery('#display_text').css('display');
    if(display=='none'){
      jQuery('#ism_update_textarea_bttn').css('display', 'block');
    }
});

function ism_deleteSpecialCount(url, type, div){
    jQuery.ajax({
        type : "post",
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        data : {
            action: "ism_delete_special_count",
            the_url: url,
            the_type: type
        },
	    success: function(data){
    			jQuery(div).fadeOut(600);
	    },
    });
}

function ism_disable_style_table(value){
	if(value==1){
		jQuery('#ism_shortcode_style-table').fadeIn();
		return;
	}else{
		jQuery('#ism_shortcode_style-table').fadeOut();
	}

}

//////////////////////MIN COUNTS
function ism_update_minim_counts(){
	jQuery('#ism_near_bttn_loading').css('visibility', 'visible');
    jQuery.ajax({
        type : "post",
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        data : {
            action: "ism_update_min_count",
            sm: jQuery('#sm_type_min_count').val(),
            count: jQuery('#sm_min_count_value').val()
        },
	    success: function(data){
	    	if(parseInt(data)==1){
	    		ism_update_html_min_counts();
	    	}
	    	jQuery('#ism_near_bttn_loading').css('visibility', 'hidden');
	    },
    });
}
function ism_update_html_min_counts(){
    jQuery.ajax({
        type : "post",
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        data : {
            action: "ism_return_min_count_table",
        },
        success: function(data){
        	if(data!=0){
        		jQuery('#ism_minim_counts_table').html(data);
        	}
        },
    });
}
function ism_deleteMinCount(value, id){
    jQuery.ajax({
        type : "post",
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        data : {
            action: "ism_delete_min_count",
            sm: value,
        },
        success: function(data){
	    	if(parseInt(data)!=0){
	    		jQuery(id).fadeOut();
	    	}
        },
    });
}

function ism_enable_disable_c(check, target){
	if (jQuery(check).is(":checked")){
    jQuery(target).removeAttr('disabled');
  } else {
    jQuery(target).attr('disabled', 'disabled');
  }
}

function ism_c_opacity(check_id, div, a_parent, a_check, h_id){
	if(jQuery(check_id).is(':checked')){
		jQuery(div).css('opacity', '1');
		jQuery(a_parent).css('opacity', '0.5');
		jQuery(a_check).prop('checked', false);
		jQuery(h_id).val(0);
	}else{
		jQuery(div).css('opacity', '0.5');
	}

}

function ism_change_dropdown(d, v){
	//d is id and v is the new value
	jQuery(d).val(v);
}

function ism_clear_statistic_data(){
	jQuery('#ism_near_bttn_clear_statistic').css('visibility', 'visible');
	var o = jQuery('#clear_statistic').val();//clear data older than
    jQuery.ajax({
        type : "post",
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        data : {
            action: "ism_delete_statistic_data",
            older_than: o,
        },
        success: function(data){
	    	if(parseInt(data)!=0){
	    		jQuery('#ism_near_bttn_clear_statistic').css('visibility', 'hidden');
	    	}
        },
    });
}

function delete_custom_content_for_url(url, num){
    jQuery.ajax({
        type : "post",
        data : {
                    action: "ism_remove_custom_share_for_url_ajax",
                    the_url: url,
                },
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        success: function (d) {
        	if(d==1){
        		if(num==0){
        			//remove the table
        			jQuery('#ism_cst_the_table').fadeOut();
        		}
        		else{
        			//remove the tr
        			jQuery('#custom_share_tr_'+num).fadeOut();
        		}

        	}
        }
    });
}

function md_disabled_rest_templates(){
    if( jQuery("#standard_template option[value='0']").length == 0 ){ //add value 0 for disabled select
    	jQuery('#standard_template').prepend('<option value="0">...</option>');
    }
    if( jQuery("#special_template option[value='0']").length == 0 ){ //add value 0 for disabled select
    	jQuery('#special_template').prepend('<option value="0">...</option>');
    }
	jQuery('#standard_template').val('0');
	jQuery('#special_template').val('0');
	jQuery('#ism_preview_1').fadeOut(100);
	jQuery('#ism_preview_2').fadeOut(100);
	jQuery("#special_mobile_template option[value='0']").remove();
}

///preview templates
function ism_preview_templates_vc(){
    jQuery('#ism_preview').fadeOut(100);
      jQuery.ajax({
         type : "post",
         url : window.ism_base_path+'/wp-admin/admin-ajax.php',
         data : {
                    action: "ism_admin_items_preview",
                    template: jQuery('#template').val(),
                },
         success: function(response){
                jQuery('#ism_preview').html(response);
                jQuery('#ism_preview').fadeIn(600);
         }
      });
}


///preview templates
function ism_preview_templates_be(preview_id, hide_preview, disabled_id, current_id, input_name){
    jQuery(current_id+" option[value='0']").remove();//remove value 0 from current select
    if( jQuery(disabled_id+" option[value='0']").length == 0 ){ //add value 0 for disabled select
    	jQuery(disabled_id).prepend('<option value="0">...</option>');
    }
	jQuery(disabled_id).val('0');
	jQuery(disabled_id).removeAttr('name');
	jQuery(hide_preview).fadeOut();
	if( jQuery("#special_mobile_template option[value='0']").length == 0 ){
		jQuery('#special_mobile_template').prepend('<option value="0">...</option>');
		jQuery('#special_mobile_template').val('0');
	}else if(jQuery('#special_mobile_template').val()!='0'){
    jQuery('#special_mobile_template').val('0');
  }

	jQuery(current_id).attr('name', input_name);
    jQuery(preview_id).fadeOut(100);
    var the_template = jQuery(current_id).val();
    if(the_template==''){
      return;
    }
      jQuery.ajax({
         type : "post",
         url : window.ism_base_path+'/wp-admin/admin-ajax.php',
         data : {
                    action: "ism_admin_items_preview",
                    template: the_template,
                },
         success: function(response){
                jQuery(preview_id).html(response);
                jQuery(preview_id).fadeIn(600);
         }
      });
}

function ism_vc_write_data_from_multiselect(f, t){
	var v = jQuery(f).val();
	var s = v.join(",");
	jQuery(t).val(s);
}

function ism_vc_write_ref(){
	var refs = new Array();
	if (jQuery("#referer_google").is(":checked")){
		refs.push('google');
	}
	if (jQuery("#referer_yahoo").is(":checked")){
		refs.push('yahoo');
	}
	if (jQuery("#referer_bing").is(":checked")){
		refs.push('bing');
	}
	var refs_str = refs.join(',');
	if (jQuery("#ism_vc_custom_refs").val()){
		if (refs_str!=''){
			refs_str += ',';
		}
		refs_str += jQuery("#ism_vc_custom_refs").val();
	}
	jQuery("#referer_values").val(refs_str);
}

function ism_select_sm_icon(s){
	var p = jQuery(s).parent().parent();
	if (jQuery(s).is(":checked")){
		jQuery(p).addClass('ism_item_selected');
	} else {
		jQuery(p).removeClass('ism_item_selected');
	}
}

function ism_check_change_class_shortlocker_item(c, t){
	if (jQuery(c).is(':checked')){
		jQuery(t).addClass('ism_locker_targeting_active_settings');
		jQuery(t).removeClass('ism_locker_targeting_inactive_settings');
	} else {
		jQuery(t).addClass('ism_locker_targeting_inactive_settings');
		jQuery(t).removeClass('ism_locker_targeting_active_settings');
	}
}


function ism_deleting_all_data() {
  swal({
   title: "Are you sure you want to erase the table?",
   text: "Once deleted, you will not be able to recover email addresses!",
   type: "warning",
   showCancelButton: true,
   confirmButtonClass: "btn-danger",
   confirmButtonText: "OK",
   closeOnConfirm: true,

 },

function ism_export_email_list() {
  jQuery.ajax({
    type : "post",
    url : window.ism_base_path +'/wp-admin/admin-ajax.php',
    data : {
         action  : "ism_delete_emails_from_table",

},

success: function (response) {
    if(response == 1) {
      location.reload();
    }
  }
});
});
}



// trigger wich will export csv file for subscribers

function ism_export_email_list() {
  jQuery.ajax({
    type : "post",
    url : window.ism_base_path +'/wp-admin/admin-ajax.php',
    data : {
         action  : "ism_n_return_subs_file",

},

success: function (response) {

    if(response) {

        jQuery('#csv_file').attr('href', response).css('display', 'inline');


    }
}
});
}


jQuery( document ).on( 'ready', function(){
    window.ism_base_path = jQuery( '.ism-js-admin-header-settings' ).attr( 'data-ism_base_path' );

    if ( jQuery( '.ism-js-license-page-nonce' ).length ){
        jQuery( '[name=ism_save_licensing_code]' ).on( 'click', function(){
            jQuery.ajax({
                  type : "post",
                  url : window.ism_base_path + '/wp-admin/admin-ajax.php',
                  data : {
                           action						: "ism_el_check_get_url_ajax",
                           purchase_code		: jQuery('[name=ism_licensing_code]').val(),
                           nonce 						: jQuery( '.ism-js-license-page-nonce' ).attr( 'data-value' ),
                  },
                  success: function (data) {
                      if ( data ){
                          window.location.href = data;
                      } else {
                          alert( 'Error!' );
                      }
                  }
            });
            return false;
        });
        jQuery( '.ism-js-revoke-license' ).on( 'click', function(){
            jQuery.ajax({
                  type : "post",
                  url : window.ism_base_path + '/wp-admin/admin-ajax.php',
                  data : {
                           action						: "ism_revoke_license",
                           nonce 						: jQuery( '.ism-js-license-page-nonce' ).attr( 'data-value' ),
                  },
                  success: function (data) {
                      window.location.href = jQuery( '.ism-js-revoke-licese-url' ).attr( 'data-value' );
                  }
            });
        });
    }

    // shortcode page
    if ( jQuery( '.ism-js-shortcode-page' ).length > 0 ){
        var type = jQuery( '.ism-js-shortcode-page' ).attr('data-shortcode_type');
        ism_shortcode_update( type );
        jQuery('#after_share_content').keyup(function(){
            ism_shortcode_update('shortcode');
        });

        ism_preview_templates_be('#ism_preview_1', '#ism_preview_2', '#template_2', '#template_1', '');
        jQuery('#locker_background').ColorPicker({
            onChange: function (hsb, hex, rgb) {
              var shortcodeType = jQuery( '.ism-js-shortcode-page' ).attr( 'data-shortcode_type' );
              jQuery('#locker_background').val('#' + hex);
              ism_shortcode_update( shortcodeType );
          }
        });
    }

    // statistic page
    if ( jQuery( '.ism-js-statistic-page' ).length ){
        jQuery( "#ism_custom_date_statistics_from" ).datepicker( {dateFormat: 'yy-mm-dd'});
        jQuery( "#ism_custom_date_statistics_until" ).datepicker( {dateFormat: 'yy-mm-dd'});
    }


    if ( jQuery( '.ism-js-do-preview-templates-be' ).length ){
        jQuery( '.ism-js-do-preview-templates-be' ).each( function(){
            var type = jQuery( this ).attr( 'data-type' );
            ism_preview_templates_be('#ism_preview_1', '#ism_preview_2', '#special_template', '#standard_template', type );
        });
    }

    if ( jQuery( '.ism-js-do-preview-special-templates-be' ).length ){
        jQuery( '.ism-js-do-preview-special-templates-be' ).each( function(){
            var type = jQuery( this ).attr( 'data-type' );
            ism_preview_templates_be('#ism_preview_2', '#ism_preview_1', '#standard_template', '#special_template', type );
        });
    }

    if (jQuery("#flot-totals").length > 0) {
    	var minValue = jQuery( '.ism-js-statistic-page-data-for-plot' ).attr( 'data-min_value' );
    	var maxValue = jQuery( '.ism-js-statistic-page-data-for-plot' ).attr( 'data-max_value' );
    	var division = jQuery( '.ism-js-statistic-page-data-for-plot' ).attr( 'data-division' );
    	var time = jQuery( '.ism-js-statistic-page-data-for-plot' ).attr( 'data-time' );
    	var theTime = [];
    	var i = 0;
    	jQuery( '.ism-js-statistic-page-data-for-plot-time-items' ).each( function(){
    			theTime[i] = [ jQuery( this ).attr( 'data-key' ), jQuery( this ).attr( 'data-value' ) ];
    			i++;
    	});
    	jQuery.plot(jQuery("#flot-totals"), [ {
    			label : "Share",
    			data : theTime,
    			color : "#3498db"
    	} ], {
    				xaxis : {
    						min : minValue,
    						max : maxValue,
    						mode : "time",
    						tickSize : [ 1, division ],
                            tickLength: 0
    					},
    					yaxis : {
    						min: 0,
                    		tickColor: "#efefef"
    					},
    					series : {
    						bars: {
            					show: true
        					},
    						points: {
    							show: true,
    							radius: 0
    						},
    						lines : {},
    					},
    					bars: {
        					align: "center",
        					lineWidth: 40,
    					},
    					grid : {
    						hoverable : true,
    						clickable : false,
                    		borderWidth: false,
                    		borderColor: "#633200",
    					},
    					legend : {
    						show : false
    					}
    	});

    	/* tool tip */
    	jQuery("<div id='ism_tooltip'></div>").css({
    		position: "absolute",
    		display: "none",
    		border: "1px solid #fdd",
    		padding: "2px 8px",
    		'background-color': "#333",
    		color: '#fff',
    		opacity: 0.80
    	}).appendTo("body");

    	jQuery("#flot-totals").bind("plothover", function (event, pos, item) {
    		if(item){
    			var y = parseInt( item.datapoint[1].toFixed(2) );
    			if(y==1){
            var t = '1 Share';
          } else {
            var t = y + ' Shares';
          }
    			jQuery("#ism_tooltip").html( t ).css({top: item.pageY+5, left: item.pageX+5}).fadeIn(200);
    		} else {
    			jQuery("#ism_tooltip").hide();
    		}
    	});
    	/* end of tool tip */
    }

    if ( jQuery( '.ism-js-shortcode-tab-init-update' ).length > 0 ){
        isf_shortcode_update();
    }

    jQuery( '.ism-js-content-display-radio-position-before' ).on( 'click', function(){
        jQuery('#custom_id_position').css('display', 'none');
    });

    jQuery( '.ism-js-content-display-radio-position-after' ).on( 'click', function(){
        jQuery('#custom_id_position').css('display', 'none');
    });

    jQuery( '.ism-js-content-display-radio-position-both' ).on( 'click', function(){
        jQuery('#custom_id_position').css('display', 'none');
    });

    jQuery( '.ism-js-content-display-radio-position-custom' ).on( 'click', function(){
        jQuery('#custom_id_position').css('display', 'block');
    });

    jQuery( '.ism-js-general-option-do-trash-feat-image' ).on( 'click', function(){
        jQuery('#feat_img').val('');
    });

    jQuery( '.ism-js-do-trash-feat-image' ).on( 'click', function(){
        jQuery('#go_custom_share_feat_image').val('');
    });

    jQuery( '.ism-js-shortcodes-list-align-vertical' ).on( 'click', function(){
        jQuery('#list_align_type').val(this.value);
        var shortcodeType = jQuery('.ism-js-type-of-shortcode').attr( 'data-value' );
        ism_shortcode_update(shortcodeType);
    });

    jQuery( '.ism-js-shortcodes-list-align-horizontal' ).on( 'click', function(){
        jQuery('#list_align_type').val(this.value);
        var shortcodeType = jQuery('.ism-js-type-of-shortcode').attr( 'data-value' );
        ism_shortcode_update(shortcodeType);
    });

    jQuery( '.ism-js-shortcodes-unlock-type-1' ).on( 'click', function(){
        jQuery('#unlock_type').val(this.value);
        var shortcodeType = jQuery('.ism-js-type-of-shortcode').attr( 'data-value' );
        ism_shortcode_update( shortcodeType );
    });

    jQuery( '.ism-js-shortcodes-unlock-type-2' ).on( 'click', function(){
        jQuery('#unlock_type').val(this.value);
        var shortcodeType = jQuery('.ism-js-type-of-shortcode').attr( 'data-value' );
        ism_shortcode_update( shortcodeType );
    });

    jQuery( '.ism-js-statistics-submit-form' ).on( 'click', function(){
        jQuery('#ism_form').submit();
    });

    jQuery( '.ism-js-time-statistics-select' ).on( 'change', function(){
        jQuery('#ism_custom_date_statistics_from').val('');
        jQuery('#ism_custom_date_statistics_until').val('');
        jQuery('#ism_form').submit();
    });

    jQuery( '.ism-js-ism-st-socialnet' ).on( 'change', function(){
        jQuery('#ism_form').submit();
    });

    jQuery( '.ism-js-st-top-shared' ).on( 'change', function(){
        jQuery('#ism_form').submit();
    });

    jQuery( '.ism-extension-plus-submit-form' ).on( 'click', function(){
        jQuery('#indeed_form').submit();
    });

    jQuery( '.ism-js-social-follow-shortcode-tab-align-type-vertical' ).on( 'click', function(){
        jQuery('#list_align_type').val(this.value);
        isf_shortcode_update();
    });

    jQuery( '.ism-js-social-follow-shortcode-tab-align-type-horizontal' ).on( 'click', function(){
        jQuery('#list_align_type').val(this.value);
        isf_shortcode_update();
    });

});

function ismVcRadio( selector )
{
    var target = jQuery( selector ).attr( 'data-target' );
    var value = jQuery( selector ).val();
    jQuery( target ).val( value );
}

function indeed_close_notf_div(){
   	jQuery.ajax({
					        type     : "post",
  				        url      : window.ism_base_path + "/wp-admin/admin-ajax.php",
							    data     : {
							           action: "indeed_update_notify_date_show",
							    },
							    success  : function (r){
									     jQuery( '#indeed_main_notify').fadeOut();
									}
		});
}

function ismLoadThePreviewForVc()
{
  jQuery(document).on("ready", function(){
      ism_preview_templates_vc();
  });
}
