<?php
if(isset($_POST['md_submit_bttn']) && isset( $_POST['ism_admin_nonce'] ) && wp_verify_nonce( $_POST['ism_admin_nonce'], 'ism_admin_nonce' )){
	ism_return_arr_update( 'md' );
}
//default settings
$meta_arr = ism_return_arr_val( 'md' );
?>
		<div class="metabox-holder indeed">
		    <form method="post">

					<input type="hidden" value="<?php echo wp_create_nonce( 'ism_admin_nonce' );?>" name="ism_admin_nonce" />

			    <div class="stuffbox-ism">
					<div class="ism-top-message"><b><?php esc_html_e('"Mobile Display" ', 'indeed-social-media');?></b> <?php esc_html_e(' can set a special show up of Social Share Icons on Mobile Devices. Special predefined Templates for mobile are available and the other general Displayes can be disabled. The verificaton is made based on "User Agent".', 'indeed-social-media');?> </div>
				</div>
				<?php
					//sm checkboxes
					ism_print_list_checkboxes($meta_arr, 'md', 'md_submit_bttn');
				?>

		        <div class="stuffbox-ism">
		            <h3>
		                <label><?php esc_html_e('Special Mobile Templates:', 'indeed-social-media');?></label>
		            </h3>
		            <div class="inside ism-vat">
		                <table class="form-table">
			                <tbody>
		                        <tr>
		                            <th scope="row">
		                               <?php esc_html_e('Select a Template', 'indeed-social-media');?> :
		                            </th>
		                            <td>
		                                <select id="special_mobile_template" name="md_mobile_special_template" onChange="md_disabled_rest_templates();" class="ism_select_admin_section">
		                                    <?php
		                                    	$mobile_special_templates = array(
		                                    										'ism_template_mob_1' => '(#1) The First Four Big Buttons',
		                                    										'ism_template_mob_2' => '(#2) The Bottom Slide Share',
		                                    										'ism_template_mob_3' => '(#3) Left Hiding',
		                                    									 );
		                                        foreach($mobile_special_templates as $key=>$value){
		                                            $select = ism_checkSelected($meta_arr['md_mobile_special_template'], $key, 'select');
		                                            ?>
		                                                <option value="<?php echo $key;?>" <?php echo $select;?>><?php echo $value;?></option>
		                                            <?php
		                                        }
		                                    ?>
		                                </select>

		                            </td>
		                        </tr>
								</tbody>
		                </table>
						<span class="ism-info"><?php esc_html_e('The Mobile Templates are Predefined Built and will restrict the other options from ', 'indeed-social-media');?> <strong><?php esc_html_e('Mobile Display ', 'indeed-social-media');?></strong> <?php esc_html_e('section!', 'indeed-social-media');?> </span>
		                <div class="submit">
		                    <input type="submit" value="Save changes" name="md_submit_bttn" class="button button-primary button-large" />
		                </div>
		            </div>
		        </div>

        <?php
			//STANDARD TEMPLATES
        	ism_return_standard_templates_html( 'md_template', $meta_arr['md_template'], 'md_submit_bttn' );

        	//SPECIAL TEMPLATES
        	ism_return_special_templates_html( 'md_template', $meta_arr['md_template'], 'md_submit_bttn' );
        ?>

		        <div class="stuffbox-ism">
		            <h3>
		                <label><?php esc_html_e('Display Options:', 'indeed-social-media');?></label>
		            </h3>
		            <div class="inside">
		               <table class="form-table ism-content">
			                <tbody>
		                        <tr>
		                            <th scope="row">
		                                <?php esc_html_e('List Align:', 'indeed-social-media');?>
										<span class="ism-info"><?php esc_html_e('Select how the the list should be displayed.', 'indeed-social-media');?></span>
		                            </th>
		                            <td>
		                                <?php
		                                    $checked = ism_checkSelected('vertical', $meta_arr['md_list_align'], 'radio');
		                                ?>
		                                <input type="radio" name="md_list_align" value="vertical" <?php echo $checked;?>  /><span class="indeedcrlabel"><?php esc_html_e('Vertical', 'indeed-social-media');?></span>
		                                <?php
		                                    $checked = ism_checkSelected('horizontal', $meta_arr['md_list_align'], 'radio');
		                                ?>
		                                <input type="radio" name="md_list_align" value="horizontal" <?php echo $checked;?>  /><span class="indeedcrlabel"><?php esc_html_e('Horizontal', 'indeed-social-media');?></span>
		                            </td>
		                        </tr>
		                        <tr>
		                        	<td colspan="2" class="ism-va">
		                        		<span class="ism-info"><?php esc_html_e('', 'indeed-social-media');?><?php esc_html_e('Vertical Align is not available for Predifined Position!', 'indeed-social-media');?></span>
		                        	</td>
		                        </tr>
		                	</tbody>
		                </table>

		                <table class="form-table ism-counts">
			                <tbody>
		                        <tr>
		                            <th scope="row">
		                                <?php esc_html_e('Display Counts', 'indeed-social-media');?>
										<span class="ism-info"><?php esc_html_e('Number of shares on each network will be displayed.', 'indeed-social-media');?></span>
		                            </th>
		                            <td>
		                            	<label>
			                                <?php
			                                    $checked = ism_checkSelected('true', $meta_arr['md_display_counts'], 'checkbox');
			                                ?>
			                                <input type="checkbox" onClick="ism_check_and_h(this, '#display_counts');" class="ism-switch" <?php echo $checked;?> />
			                            	<div class="switch ism-inline-block"></div>
										</label>
		                                <input type="hidden" value="<?php echo $meta_arr['md_display_counts'];?>" name="md_display_counts" id="display_counts" />
		                            </td>
		                        </tr>
		                        <tr>
		                            <th scope="row">
		                              <?php esc_html_e('Display Full Name Of Social Network', 'indeed-social-media');?>
		                            </th>
		                            <td>
		                            	<label>
			                                <?php
			                                    $checked = ism_checkSelected('true', $meta_arr['md_display_full_name'], 'checkbox');
			                                ?>
			                                <input type="checkbox" onClick="ism_check_and_h(this, '#md_display_full_name');" class="ism-switch" <?php echo $checked;?> />
			                            	<div class="switch ism-inline-block"></div>
										</label>
		                                <input type="hidden" value="<?php echo $meta_arr['md_display_full_name'];?>" name="md_display_full_name" id="md_display_full_name" />
		                            </td>
		                        </tr>
		                    </tbody>
		                </table>
						<span class="ism-info"><?php esc_html_e('For some ', 'indeed-social-media');?> <strong><?php esc_html_e('Special Mobile Templates', 'indeed-social-media');?></strong> <?php esc_html_e('those options are not available!', 'indeed-social-media');?> </span>
		                <div class="submit">
		                    <input type="submit" value="Save changes" name="md_submit_bttn" class="button button-primary button-large" />
		                </div>
		            </div>
		        </div>

		        <div class="stuffbox-ism">
		            <h3>
		                <label><?php esc_html_e('Position ', 'indeed-social-media');?> <span class="ism-position-cst-show"><?php esc_html_e(' (only for Standard Templates)', 'indeed-social-media');?></span>:</label>
		            </h3>
		            <div class="inside">
		                <table class="form-table">
			                <tbody>
		                        <tr>
		                            <th scope="row">
		                              <?php esc_html_e('Floating', 'indeed-social-media');?>:
		                            </th>
		                            <td>
		                                <?php $checked = ism_checkSelected($meta_arr['md_floating'], 'yes', 'radio');?>
		                                <input type="radio" name="md_floating" value="yes" <?php echo $checked;?> /><span class="indeedcrlabel">Yes</span>
		                                <?php $checked = ism_checkSelected($meta_arr['md_floating'], 'no', 'radio');?>
		                                <input type="radio" name="md_floating" value="no" <?php echo $checked;?> /><span class="indeedcrlabel">No</span>
										<span class="ism-info ism-float-italic"><?php esc_html_e('The Social Icons will stay all the time on the screen despite the scroll position', 'indeed-social-media');?></span>
		                            </td>
		                        </tr>

		                        <tr>
		                            <th scope="row">
		                                <?php esc_html_e('Predifined Position', 'indeed-social-media');?>
		                            </th>
		                            <td class="ism-position">
		                               <table>
		                               	  <tr>
		                               	  	  <td>
		                               	  	    <label>
		                               	  	    	<?php $checked = ism_checkSelected($meta_arr['md_pred_position'], 1, 'checkbox');?>
		                               	  	      	<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#md_pred_position');ism_c_opacity(this, '#predefined_position', '#custom_position', '#enable_custom_pos', '#md_custom_position');" id="enable_pred_pos" <?php echo $checked;?>/>
    	                						  	<div class="switch ism-inline-block"></div>
    	                						</label>
    	                						<input type="hidden" value="<?php echo $meta_arr['md_pred_position'];?>" name="md_pred_position" id="md_pred_position" />
		                               	  	  </td>
		                               	  </tr>
					                        <?php
					                        	$opacity = "ism-full-opacity";
					                        	if(isset($meta_arr['md_custom_position']) && $meta_arr['md_custom_position']==1){
					                        		$opacity= "ism-half-opacity";
					                        	}
					                        ?>
		                               	  <tr id="predefined_position" class="<?php echo $opacity;?>">
					                            <td class="ism-pred-pos">
					                                <?php $checked = ism_checkSelected($meta_arr['md_predefined_position'], 'bottom', 'radio');?>
					                                <input type="radio" name="md_predefined_position" value="bottom" <?php echo $checked;?> /><span class="indeedcrlabel"><?php esc_html_e('Bottom Full Width', 'indeed-social-media');?></span>
					                                <?php $checked = ism_checkSelected($meta_arr['md_predefined_position'], 'top', 'radio');?>
					                                <input type="radio" name="md_predefined_position" value="top" <?php echo $checked;?> /><span class="indeedcrlabel"><?php esc_html_e('Top Full Width', 'indeed-social-media');?></span>
					                                <div class="ism-pred-bottom">
					                                	<?php $checked = ism_checkSelected($meta_arr['md_behind_bk'], 1, 'checkbox');?>
					                                	<input type="checkbox" onClick="check_and_h(this, '#md_behind_bk');" <?php echo $checked;?> />
					                                	<input type="hidden" id="md_behind_bk" name="md_behind_bk" value="<?php echo $meta_arr['md_behind_bk'];?>" />
					                                	<?php esc_html_e('With Transparent Background', 'indeed-social-media');?>
					                                </div>
					                            </td>
					                     </tr>
					                  </table>
					                </td>
		                        </tr>
		                        <tr >
		                            <th scope="row">
		                                <?php esc_html_e('Custom Position', 'indeed-social-media');?>
										<span class="ism-info"><?php esc_html_e('Set the Box\'s icons position. Can be used positive or negative values.', 'indeed-social-media');?></span>
		                            </th>
		                            <td class="ism-position">
		                               <table>
		                               	  <tr>
		                               	  	  <td>
		                               	  	    <label>
		                               	  	    	<?php $checked = ism_checkSelected($meta_arr['md_custom_position'], 1, 'checkbox');?>
		                               	  	      	<input type="checkbox" class="ism-switch" onClick="check_and_h(this, '#md_custom_position');ism_c_opacity(this, '#custom_position', '#predefined_position', '#enable_pred_pos', '#md_pred_position');" id="enable_custom_pos" <?php echo $checked;?>/>
    	                						  	<div class="switch ism-inline-block"></div>
    	                						</label>
    	                						<input type="hidden" value="<?php echo $meta_arr['md_custom_position'];?>" name="md_custom_position" id="md_custom_position" />
		                               	  	  </td>
		                               	  </tr>
		                               </table>
				                        <?php
				                        	$opacity = "ism-full-opacity";
				                        	if(isset($meta_arr['md_pred_position']) && $meta_arr['md_pred_position']==1){
				                        		$opacity= "ism-half-opacity";
				                        	}
				                        ?>
		                               <table id="custom_position" class="<?php echo $opacity;?>">
		                                  <tr>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_top_bottom'], 'top', 'radio');?>
		                                      <td class="indeed_td_np"><input type="radio"  name="md_top_bottom" value="top" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Top', 'indeed-social-media');?></span></td>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_top_bottom'], 'bottom', 'radio');?>
		                                      <td class="indeed_td_np"><input type="radio"  name="md_top_bottom" value="bottom" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Bottom', 'indeed-social-media');?></span></td>
		                                  </tr>
										  <tr class="ism-cst-pos">
											  <td class="indeed_td_np"><input type="number" value="<?php echo $meta_arr['md_top_bottom_value'];?>" name="md_top_bottom_value" class="indeed_number ism-numb"/></td>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_top_bottom_type'], '%', 'radio');?>
		                                      <td class="indeed_td_np"><input type="radio" name="md_top_bottom_type" value="%" <?php echo $checked;?>  class="ism-cstp"/><span class="indeedcrlabel ism-delimiter">% | </span>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_top_bottom_type'], 'px', 'radio');?>
		                                      <input type="radio"  name="md_top_bottom_type" value="px" <?php echo $checked;?>/><span class="indeedcrlabel">px</span></td>
		                                  </tr>
		                                  <tr>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_left_right'], 'left', 'radio');?>
		                                      <td class="indeed_td_np"><input type="radio"  name="md_left_right" value="left" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Left', 'indeed-social-media');?></span></td>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_left_right'], 'right', 'radio');?>
		                                      <td class="indeed_td_np"><input type="radio"  name="md_left_right" value="right" <?php echo $checked;?>/><span class="indeedcrlabel"><?php esc_html_e('Right', 'indeed-social-media');?></span></td>
		                                  </tr>
										  <tr>
											  <td class="indeed_td_np"><input type="number" value="<?php echo $meta_arr['md_left_right_value'];?>" name="md_left_right_value" class="indeed_number ism-numb"/></td>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_left_right_type'], '%', 'radio');?>
		                                      <td class="indeed_td_np"><input type="radio"  name="md_left_right_type" value="%" <?php echo $checked;?>  class="ism-cstp"/><span class="indeedcrlabel ism-delimiter">% | </span>
		                                          <?php $checked = ism_checkSelected($meta_arr['md_left_right_type'], 'px', 'radio');?>
		                                      <input type="radio"  name="md_left_right_type" value="px" <?php echo $checked;?>/><span class="indeedcrlabel">px</span></td>
		                                  </tr>
		                               </table>
		                            </td>
		                        </tr>
		                    </tbody>
		                </table>
		                <div class="submit">
		                    <input type="submit" value="Save changes" name="md_submit_bttn" class="button button-primary button-large" />
		                </div>
		            </div>
		        </div>

		        <div class="stuffbox-ism">
		            <h3>
		                <label><?php esc_html_e('Custom Show ', 'indeed-social-media');?> <span class="ism-position-cst-show"><?php esc_html_e('(only for Standard Templates)', 'indeed-social-media');?></span>:</label>
		            </h3>
		            <div class="inside">
		                <table class="form-table">
			                <tbody>
		                        <tr>
		                            <th scope="row">
		                               <?php esc_html_e('Zoom', 'indeed-social-media');?>:
		                            </th>
		                            <td>
		                            	<input type="number" value="<?php echo $meta_arr['md_zoom'];?>" name="md_zoom" min="0" max="1" step="0.01" class="ism-cst-zoom-opacity" />
		                            </td>
		                        </tr>
		                        <tr>
		                            <th scope="row">
		                               <?php esc_html_e('Opacity', 'indeed-social-media');?>:
		                            </th>
		                            <td>
		                            	<input type="number" value="<?php echo $meta_arr['md_opacity'];?>" name="md_opacity" min="0" max="1" step="0.01" class="ism-cst-zoom-opacity" />
		                            </td>
		                        </tr>
		                    </tbody>
		                </table>
		                <div class="submit">
		                    <input type="submit" value="Save changes" name="md_submit_bttn" class="button button-primary button-large" />
		                </div>
		            </div>
		        </div>


	<?php
					//where to display
					$info = esc_html__('If none of them is not selected, the Social Icons will not show up using the "Mobile Display".', 'indeed-social-media');
					return_display_where_html( 'md', $meta_arr, 'md_submit_bttn', $info );

		       		//total counts metabox
		       		echo total_share_count_admin_box( 'md', $meta_arr );

		       		//visits

		       		ism_return_views_section( 'md', $meta_arr, 'md_submit_bttn' );

		       		//after show

		       		ism_after_share_html( 'md', $meta_arr, 'md_submit_bttn' );
		       ?>

			</form>
		</div>
</div>
