<span class="ism-js-statistic-page"></span>
<?php
	$the_time = 'last_month';
	$sm_type = 'all';
	$the_limit = 10;
	$time_arr = array(  'today' => 'Today',
						'yesterday' => 'Yesterday',
						'last_week' => 'Last Week',
						'last_month' => 'Last Month'
					 );
	if (isset($_REQUEST['ism_time_statistics'])){
			$the_time = $_REQUEST['ism_time_statistics'];
	}
	if (isset($_REQUEST['sm_type']) && $_REQUEST['sm_type']){
			$sm_type = $_REQUEST['sm_type'];
	}
	if (isset($_REQUEST['limit']) && $_REQUEST['limit']!=''){
			$the_limit = $_REQUEST['limit'];
	}

	global $ism_list;

	$ism_list = ism_return_general_labels_sm('', TRUE, '', FALSE);
?>
<form method="post" id="ism_form">
<div class="indeed">
<div class="stats-top">
    <div class="stats-top-center">
	<?php esc_html_e('Statistics Page provides the most important stats about Social Share on your pages. You can check each Social Network based on certain period of time and the Total of them.
Also, a list of the most share pages are showing up.', 'indeed-social-media');?>
	<br/><br/>
	<strong><?php esc_html_e('Be sure that the "Statistics" feature is activated from "General Options" section!', 'indeed-social-media');?></strong>
	</div>
	<div class="stats-top-left">
		<div class="ism-st-interval"><?php esc_html_e('Select The Interval:', 'indeed-social-media');?></div>
		<select name="ism_time_statistics"  class="ism-st-min-width ism-js-time-statistics-select">
			<?php
				foreach($time_arr as $k=>$v){
					$selected = '';
					if($the_time==$k){
						$selected='selected="selected"';
					}
					?>
						<option value="<?php echo $k;?>" <?php echo $selected;?>><?php echo $v;?></option>
					<?php
				}
				?>
		</select>
	</div>

	<div class="stats-top-right">
		<div class="ism-st-interval"><?php esc_html_e('Date Range:', 'indeed-social-media');?> </div>
		<div class="ism-inline-block">
			<span class="ism_small_desc_span"></span> <input type="text" value="<?php echo (isset($_REQUEST['ism_statistics_from'])) ? $_REQUEST['ism_statistics_from'] : '';?>" name="ism_statistics_from" id="ism_custom_date_statistics_from" class="ism-st-date-range"/>
			<span class="ism_small_desc_span"> - </span> <input type="text" value="<?php echo (isset($_REQUEST['ism_statistics_until'])) ? $_REQUEST['ism_statistics_until'] : '';?>" name="ism_statistics_until" id="ism_custom_date_statistics_until" class="ism-st-date-range"/>
		</div>
		<div class="ism-st-range ism-js-statistics-submit-form" title="Refresh">
			<!--i class="icon-refresh"></i-->
			<button class="button button-primary button-large" value="Apply">Apply</button>
		</div>
	</div>
	<div class="clear"></div>
	</div>

	<?php

	$statistic_arr = ism_statistics_arr_time_return($the_time);
	/**************************** SECTION 1 **************************/

	$totals = ism_statistics_return_counts( $statistic_arr['min_date'], $statistic_arr['max_date'] );

	if (isset($totals) && is_array($totals) ){
		echo '<div class="stats_gen">';
		foreach ($totals as $key=>$value){
			if (!empty($ism_list[$key]['font']) && $ism_list[$key]['font']=='socicon'){
				echo '<div class="ism_item ism_box_'.$key.'">'
						.'<i class="ism-sc-icon ism-socicon-' . $ism_list[$key]['long_key'] . '"></i>'
						.'<span class="ism_share_label">'.$key.'</span>'
						.'<span class="ism_share_counts '.$key.'_share_count">'.ism_statistics_format_number($value).'</span>'
						.'<div class="clear"></div>'
					.'</div>';
			} else {
				echo '<div class="ism_item ism_box_'.$key.'">

				<i class="fa-ism fa-'.$key.'-ism"></i>

				<span class="ism_share_label">'.$key.'</span>

				<span class="ism_share_counts '.$key.'_share_count">'.ism_statistics_format_number($value).'</span>

				<div class="clear"></div>

				</div>';
			}

		}
	echo '</div>';
	}
	/**************************** end of SECTION 1 **************************/
	?>



			<div class="ism_flot_wrapper">
				<div class="ism_flot_title">
					<h3 class="ism-st-float"><?php esc_html_e('Total Number Of Shares', 'indeed-social-media');?></h3>
					<div class="ism-st-float-right">
					<div class="ism-st-shared"><?php esc_html_e('Social Network:', 'indeed-social-media');?></div>
					<select name="sm_type" class="ism-st-socialnet ism-js-ism-st-socialnet">
						<option value='all'>All</option>
						<?php
							foreach ($ism_list as $k=>$v){
								$selected = '';
								if ($sm_type==$k){
									$selected='selected="selected"';
								}
								?>
								<option value="<?php echo $v['long_key'];?>" <?php echo $selected;?>><?php echo $v['label'];?></option>
								<?php
							}
						?>
					</select>
				</div>
				<div class="clear"></div>
				</div>
				<div class="ism_flot_content">
					<div id="flot-totals" class="flot medium ims-st-flot"></div>
				</div>
			</div>

<?php

	/**************************** SECTION 2 **************************/
	if($statistic_arr['division']=='day'){
		#DAYS
		$return_arr = ism_statistics_return_counts_per_days($statistic_arr['ism_time_arr'], $sm_type);
	}else{
		#HOURS
		$return_arr = ism_statistics_return_counts_per_hours($statistic_arr['max_time'], $statistic_arr['time'], $sm_type);
	}
	$js_string_time = ism_statistics_time_data_for_js($return_arr);//date for js


	/**************************** end of SECTION 2 **************************/


	/**************************** SECTION 3 *************************/

	?>
					<div class="stats-url-list">
					<h3 class="ism-st-float"><?php esc_html_e('Top Shared Pages', 'indeed-social-media');?></h3>
					<div class="ism-st-float-right">
					<div class="ism-st-shared">Show up to: </div>
					<select name="limit" class="ism-st-top-shared ism-js-st-top-shared">
						<?php
							$limits = array(10, 50, 100);
							foreach ($limits as $limit){
								$selected = '';
								if( $limit==$the_limit ){
									 $selected = 'selected="selected"';
								}
								?>
									<option value="<?php echo $limit;?>" <?php echo $selected;?> ><?php echo $limit;?></option>
								<?php
							}
						?>
					</select>
					</div>
					<div class="clear"></div>
	<?php
		$limit = 15;
		$n = 1;
		$j = 0;
		foreach ($ism_list as $k=>$v){
			if ($n%$limit==0){
				$j++;
			}
			$new_arr[$j][$k] = $v['label'];
			$n++;
		}

			//one table for 15 social items
			?>
				<table class="ism_table_statistics ism-go-url-type">
					<tr class="ism-go-social-net">
						<td class="stat-top-table ism-table-font-align">Post URL</td>
						<td class="stat-top-table ism-go-font-counts"><?php esc_html_e('Total', 'indeed-social-media');?></td>
						<td class="stat-top-table">
						<table class="ism-table-full-width">
						<?php
						foreach ($new_arr as $list_ism_arr){?>

							<tr>
						<?php
							foreach ($list_ism_arr as $k=>$v){
								if (!empty($ism_list[$k]['font']) && $ism_list[$k]['font']=='socicon'){
									if ( isset( $ism_list[$k]['long_key'] ) ){
											echo '<td><i class="ism-sc-icon ism-socicon-' . $ism_list[$k]['long_key'] . '"></i></td>';
									}

								} else {
									if ( isset( $ism_list[$k]['long_key'] ) ){
											echo '<td><i class="fa-ism fa-'.$ism_list[$k]['long_key'].'-ism"></i></td>';
									}
								}

							}
							?>
							</tr>

							<?php
						}
						?>

						</table>
						</td>
					</tr>
					<?php
					$data = ism_statistics_share_per_url($statistic_arr['min_date'], $statistic_arr['max_date'], $the_limit);
					foreach ($data as $obj){
						echo '<tr>';
							echo '<td class="ism-st-left-align">'.$obj->url.'</td>';
							echo '<td class="ism-st-center-align">'.$obj->count.'</td>';
							echo '<td><table class="ism-table-full-width">';
							foreach ($new_arr as $list_ism_arr){
								echo '<tr>';
								foreach ($list_ism_arr as $k=>$v){
									$the_key = $ism_list[$k]['long_key'];
									echo '<td>' . $obj->$the_key . '</td>';
								}
								echo '</tr>';
							}
							echo '</table></td>';
						echo '</tr>';
					}
					?>
				</table>
			<?php

	?>

   </div>
 </div>
</form>

		<span class="ism-js-statistic-page-data-for-plot"
					data-min_value="<?php echo strtotime($statistic_arr['min_date']).'000'; ?>"
					data-max_value="<?php echo strtotime($statistic_arr['max_date']).'000';?>"
					data-division="<?php echo $statistic_arr['division'];?>"
		></span>

		<?php if ( $return_arr ):?>
				<?php
						$jsTimeArr = explode( ',', $js_string_time );
						foreach ( $return_arr as $k => $v ):?>
							<span class="ism-js-statistic-page-data-for-plot-time-items" data-value="<?php echo $v;?>" data-key="<?php echo strtotime($k) . '000';?>" ></span>
						<?php
					endforeach;
				?>
		<?php endif;?>
</div>
