/*
* Indeed Social Media - Functions
*/
"use strict";
function ism_fake_increment(target, type, url){

    var value = parseInt(jQuery(target).html());
    if ((value%1 === 0 && value!='') || value == 0 ){
    	value++;
    } else {
    	value = 1;
    }
    jQuery(target).html(value);

    //share counts in dbism_a_return_counts
    if (typeof window.ism_save_share_counts!='undefined' && window.ism_save_share_counts==1){

        jQuery.ajax({
            type : "post",
            url : window.ism_base_path+'/wp-admin/admin-ajax.php',
            data : {
                   		action: "ism_update_db_share_count_share_bttn_action",
                   		sm: type,
                   		the_url: url,
                   },

        });
    }

    //Statistics
     if ((typeof window.ism_enable_statistics!='undefined' && window.ism_enable_statistics==1) || type=='twitter' ){
        jQuery.ajax({
            type : "post",
            url : window.ism_base_path+'/wp-admin/admin-ajax.php',
            data : {
                   		action: "ism_update_share_db_wd",
                   		sm: type,
                   		the_url: url,
                   },

        });
    }
}


function ism_load_counts(i, ism_url, wrapp_id, items, i_print){
	//check every time for counts
    if(typeof items[i]=='undefined'){
      return;
    }
    var the_sm_type = items[i];

    jQuery.ajax({
       type : "post",
       url : window.ism_base_path+'/wp-admin/admin-ajax.php',
       data : {
              action: "ism_a_return_counts",
              dir_url: ism_url,
              sm_type: the_sm_type
            },
       success: function(response){
           var num = i+1;
           ism_load_counts(num, ism_url, wrapp_id, items, i_print);//recursive

           if(response=='' || isNaN(response) ){
             return;
           }

           if(items[i]=='twitter' || items[i]=='linkedin'){
        	   recheck_tw_li_every_time(ism_url, wrapp_id, items[i], i_print);
           }else{
           	 setNumDiv(0, Number(response), wrapp_id+' .'+items[i]+'_share_count', i_print);

           	   //total share count
           	   if(typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined'){
           		   window.total_share_obj[wrapp_id] = Number(response) + Number(window.total_share_obj[wrapp_id]);
           	   }

           }

         }
     });

    //call ism_print_total_count after loop is over
    if(items.length==i+1) {
    	if(typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined'){
    		ism_print_total_count(wrapp_id);

    	}
    }
}



function recheck_tw_li_every_time(ism_url, wrapp_id, the_sm_type, i_print){
	//check every time for twitter and linkedin

	if(the_sm_type=='linkedin'){

		var linkedin_url = "https://www.linkedin.com/countserv/count/share?format=jsonp&url="+ism_url+"&callback=?";

		jQuery.getJSON(linkedin_url).done(function(data){
		    jQuery.ajax({
		        type : "post",
		        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
		        data : {
		               action: "ism_check_min_special_counts_from_js_tl",
		               the_url: ism_url,
		               the_type: the_sm_type,
		               the_count: data.count,
		               },
		        success: function(response){
		        	if(response!='not_show'){
		        		var n = Number(response);
		        		setNumDiv(0, n, wrapp_id+' .linkedin_share_count', i_print);

		        		//total share count
		        		if(typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined'){
			        		window.total_share_obj[wrapp_id] = n + Number(window.total_share_obj[wrapp_id]);
			        		ism_print_total_count(wrapp_id);
		        		}
		        	}
		        }
		    });
		});
	}else if(the_sm_type=='twitter'){
		return;
		////////// TWITTER OFFLINE COUNTS
		var twitter_url	= "http://cdn.api.twitter.com/1/urls/count.json?url="+ism_url+"&callback=?";
		jQuery.getJSON(twitter_url).done(function(data){
		    jQuery.ajax({
		        type : "post",
		        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
		        data : {
		               action: "ism_check_min_special_counts_from_js_tl",
		               the_url: ism_url,
		               the_type: the_sm_type,
		               the_count: data.count,
		               },
		        success: function(response){
		        	if(response!='not_show'){
		        		var n = parseInt(response);
		        		setNumDiv(0, n, wrapp_id+' .twitter_share_count', i_print);

		        		//total share count
		        		if(typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined'){
			        		window.total_share_obj[wrapp_id] = n + Number(window.total_share_obj[wrapp_id]);
			        		ism_print_total_count(wrapp_id);
		        		}
		        	}
		        }
		    });
		});
	}

}


function ism_load_counts_from_db(the_sm_list, ism_url, wrapp_id, i_print){
    jQuery.ajax({
       type : "post",
       url : window.ism_base_path + '/wp-admin/admin-ajax.php',
       data : {
              action: "ism_get_sm_db_share_counts_return_list",
              the_url: ism_url,
              sm_list: the_sm_list,
              },
          success: function(response){
    	   			response = jQuery.parseJSON(response);
    	   			var twitter_flag = 0;
    	   			var linkedin_flag = 0;
    	   			if( typeof response['linkedin-flag']!='undefined' ){
    	   				delete response['linkedin-flag'];
    	   				linkedin_flag = 1;
    	   			}
    	   			if(  typeof response['twitter-flag']!='undefined' ){
    	   				delete response['twitter-flag'];
    	   				twitter_flag = 1;
    	   			}
    	   			//total share counts
    	   			var total_share = 0;

    	   			for(var key in response) {
	 		            var num = response[key];
    	   				  var t_inc = 0;
    	   				//standard
    	 		        if(num!='not_show'){
    	 		          	if(num==null || isNaN(num)){
                        num = 0;
                      }
    	 			        setNumDiv(0, parseInt(num), wrapp_id+' .'+key+'_share_count', i_print);
    	 		        }

    	   				if(key=='twitter' && twitter_flag==1){
    	   					t_inc = 1;
    	   					recheck_tw_li_on_counts_from_db(key, num, ism_url, wrapp_id, i_print);
    	   				}else if(key=='linkedin' && linkedin_flag==1){
    	   					t_inc = 1;

    	   					recheck_tw_li_on_counts_from_db(key, num, ism_url, wrapp_id, i_print);

    	   				}

    	   				//total share counts
    	   				if(t_inc==0 && typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined' ){
    	   					if(num==null || isNaN(num) || num=='not_show'){
                    num = 0;
                  }
        	 		    total_share = total_share + Number(num);

    	   				}

    	   			}//end of for

    	   			//total share counts
    	   			if(typeof window.total_share_obj!='undefined' && window.total_share_obj[wrapp_id]!='undefined'){
    		   				if( Number.isInteger(window.total_share_obj[wrapp_id]) ){
    		   					window.total_share_obj[wrapp_id] = window.total_share_obj[wrapp_id] + total_share;
    		   				}else{
    		   					window.total_share_obj[wrapp_id] = total_share;
    		   				}
        	   			ism_print_total_count(wrapp_id);
    	   			}
         		}
     });
}

function recheck_tw_li_on_counts_from_db(key, num, ism_url, wrapp_id, i_print){
	if (key=='linkedin'){
		var linkedin_url = "https://www.linkedin.com/countserv/count/share?format=jsonp&url="+ism_url+"&callback=?";

		jQuery.getJSON(linkedin_url).done(function(data){
		    jQuery.ajax({
		        type : "post",
		        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
		        data : {
		               action: "ism_check_tl_flag",
		               the_url: ism_url,
		               sm: key,
		               the_count: data.count
		               },
		        success: function(response){
	        			if(response!='not_show'){
			        		setNumDiv(0, parseInt(response), wrapp_id+' .'+key+'_share_count', i_print);

			        		//total share
			        		if(typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined'){
				        		window.total_share_obj[wrapp_id] = window.total_share_obj[wrapp_id] + Number(response);
				        		ism_print_total_count(wrapp_id);
			        		}
	        			}
		        }
		    });
		});
	} else if (key=='twitter'){
		return;
		////////// TWITTER OFFLINE COUNTS
		var twitter_url	= "http://cdn.api.twitter.com/1/urls/count.json?url="+ism_url+"&callback=?";
		jQuery.getJSON(twitter_url).done(function(data){
		    jQuery.ajax({
		        type : "post",
		        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
		        data : {
		               action: "ism_check_tl_flag",
		               the_url: ism_url,
		               sm: key,
		               the_count: data.count
		        },
		        success: function(response){
        			if(response!='not_show'){
		        		setNumDiv(0, Number(response), wrapp_id+' .'+key+'_share_count', i_print);

		        		//total share
		        		if(typeof window.total_share_obj!='undefined' && typeof window.total_share_obj[wrapp_id]!='undefined'){
		        			window.total_share_obj[wrapp_id] = window.total_share_obj[wrapp_id] + Number(response);
		        			ism_print_total_count(wrapp_id);

		        		}
        			}
		        }
		    });
		});
	}
}

function ism_print_total_count(id){
	if (typeof window.total_share_obj[id]!='undefined' && window.total_share_obj[id]!==true){
		if (!isNaN(window.total_share_obj[id]) ) {
			setNumDiv(parseInt(jQuery(id+' .ism_tc_count').html()), window.total_share_obj[id], id+' .ism_tc_count', 1);

		}
	}
}

function setNumDiv(current, max, div, i_print){
  if (current < parseInt(jQuery(div).html())){
      return;
  }
	if (current>max){
      return;
  }
  if (i_print==0){
      return;
  }

  var cnt = current;
  if (cnt>999){
      	if (cnt>999999){
      		cnt = cnt/1000000;
          var type_num = 'M';
        } else {
          	cnt = cnt/1000;
            var type_num = 'k';
        }
        if (cnt<=99 && cnt%1>0.09){
          	var entire_num = cnt.toString();
            var arr = entire_num.split('.');
            var d = parseInt(arr[1][0]);
            if(arr[1][1]>=5) {
              d = d + 1;
            }
            var cnt = arr[0] +'.'+ d;
        } else {
          var cnt = parseInt(cnt);
        }
        cnt += type_num;
    }

    jQuery(div).html(cnt);
    setTimeout(function(){
        var step = 1;
        if(max-current>1000){
          step = 500;
        }
        if(max-current<1001){
          step = 300;
        }
        if(max-current<501){
          step = 100;
        }
        if(max-current<101){
          step = 10;
        }
        if(max-current<11){
          step = 1;
        }

        current=current+step;
        setNumDiv(current, max, div);
    },1);
}


function indeedPopUpEmail(ism_url, currentURL){
    jQuery.ajax({
        type : "post",
        data : {
                    action: "ism_send_email_ajax_popup",
                    url: ism_url,
                    permalink: currentURL
                },
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        success: function (data) {
          jQuery(data).hide().appendTo('body').fadeIn('normal');
        },
        dataType: 'html'
    });
}

function indeedPrintFriendlyCount(ism_url, postId){
	    jQuery.ajax({
			type : "post",
			data : {
						action: "ism_print_friendly",
						the_url: ism_url,
					},
			url : window.ism_base_path+'/wp-admin/admin-ajax.php',
			success: function (data) {
          jQuery(data).hide().appendTo('body').fadeIn('normal');
      },
			dataType: 'html'
    	});

}


function ism_love_this(ism_url){
	var v = jQuery.jStorage.get('love_this_' +ism_url);
	if (v){
		return;
	} else {
		jQuery.jStorage.set('love_this_' + ism_url, 1);
	    jQuery.ajax({
			type : "post",
			data : {
						action: "ism_love_this_ajax_counter",
						the_url: ism_url,
					},
			url : window.ism_base_path+'/wp-admin/admin-ajax.php',

			success: function (data) {
       jQuery(data).hide().appendTo('body').fadeIn('normal');
      }
		});
	}
}




function ism_func_sendEmail(){
    jQuery('#loading_img').css('display', 'inline-block');
    jQuery.ajax({
        type : "post",
        data : {
                    action: "ism_sendEmail",
                    name: jQuery('#ism_email_name').val(),
                    from: jQuery('#ism_email_from').val(),
                    sentTo: jQuery('#ism_email_sentto').val(),
                    subject: jQuery('#ism_email_subject').val(),
                    message: jQuery('#ism_email_message').val(),
                    capcha: jQuery('#capcha_answer').val(),
                    capcha_key: jQuery('#cp_ar_k').val(),
                    the_url: jQuery('#popup_ism_theurl').val(),
                },
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        success: function (data) {
            jQuery('#loading_img').fadeOut();
            if(jQuery('#capcha_error').length){
              jQuery('#capcha_error').remove();
            }
            if(jQuery('#ism_form_error').length){
              jQuery('#ism_form_error').remove();
            }
            if(data==1){
                jQuery('.popup_content').append('<p id="succes_message" class="popup_success">'+jQuery('#email_success_message').val()+'</p>');
                setTimeout(function(){
                    closePopup();
                }, 2000);
            }else if(data==2){
                //capcha error
                jQuery('.popup_content').append('<p class="popup_error" id="capcha_error">Wrong Answer!</p>');
            }else{
                //error
                jQuery('.popup_content').append('<p  class="popup_error" id="ism_form_error">Something Went Wrong. Please Try Again!</p>');
            }
        },
        dataType: 'html'
    });
}

function closePopup(){
    jQuery('#popup_box').fadeOut('normal', function(){
        jQuery('#popup_box').remove();
    });
}

function activateLocker(ism_content_id,ism_locker_id,ism_vc_set,url,overlock,delay_lk){
	//show locker hide content
    		if (overlock=='default'){
    			//DEFAULT LOCKER

            	jQuery('#'+ism_locker_id).css('display', 'block');
            	if (ism_vc_set==1){
            		//visual composer
            		var s = jQuery("#"+ism_locker_id).next();
            		var s2 = jQuery(s).next();
            		jQuery(s2).attr('id', ism_content_id);

            		jQuery(s2).css('display', 'none');
            	} else {
            		jQuery('#'+ism_content_id).css('display', 'none');

            	}
            	jQuery('#'+ism_locker_id+', #'+ism_content_id+' ').wrapAll('<div class="ismLockerWrap ism-position-relative">');

    		} else {
    			//LOCKER OVER CONTENT (opacity&blur)
            	if(ism_vc_set==1){
            		//visual composer
            		jQuery(this).next().attr('id', ism_content_id);
            	}

            	var locker_height = jQuery('#'+ism_locker_id).outerHeight();
    			    var margin_top = parseInt(locker_height)/2;
    			    var margin_top = '-'+margin_top+'px';

    			jQuery('#'+ism_locker_id).css({
    			    'display': 'block',
    			    'position': 'absolute',
    			    'top': '0px',
					'top': '25%',
    			    'left': '0px',
    			    'width': '100%',
    			    'height': '100%',
    			    'z-index': 2,
    			});
				if(overlock=='blur'){
					jQuery('#'+ism_content_id).css({
    				'opacity': '0.85',
    				'display': 'block',
					'-webkit-filter': 'blur(5px)',
					'-moz-filter': 'blur(5px)',
					'-o-filter': 'blur(5px)',
					'-ms-filter': 'blur(5px)',
					'filter': 'blur(5px)',
    			});
				}else{
    			jQuery('#'+ism_content_id).css({
    				'opacity': '0.15',
    				'display': 'block',
    			});
				}

    			jQuery('#'+ism_locker_id+', #'+ism_content_id+' ').wrapAll('<div class="ismLockerWrap ism-position-relative" style= " min-height: '+locker_height+'px; overflow:hidden;">');

    		}
}

jQuery(document).on('ready',function(){
	jQuery('.ism-before-row').each(function(){
		var ism_content_id = jQuery(this).attr('data-id');
		var ism_locker_id = jQuery(this).attr('data-lockerId');
		var ism_vc_set = jQuery(this).attr('data-vc_set');
		var url = jQuery(this).attr('data-ism_url');
		var overlock = jQuery(this).attr('data-ism_overlock');
		var delay_lk = jQuery(this).attr('data-ism_delay_lk');

		var v = jQuery.jStorage.get(url);

        if (v){
            //show content, hide locker
        	jQuery('#'+ism_locker_id).css('display', 'none');
        	jQuery('#'+ism_content_id).css('display', 'block');
        } else {
      			if (delay_lk>0){
      				jQuery('#'+ism_content_id).css('display', 'block');
      				setTimeout( function(){
      					activateLocker(ism_content_id,ism_locker_id,ism_vc_set,url,overlock,delay_lk);
      				}, delay_lk*1000 );
      			} else {
      				activateLocker(ism_content_id,ism_locker_id,ism_vc_set,url,overlock,delay_lk);
      			}
        }
        jQuery(this).remove();

	});
});

///pinterest
function openPinterestShare(){
	closePopup();
	if(window.pinterest_feat_img && window.pinterest_feat_img!=''){
		window.open('http://pinterest.com/pin/create/bookmarklet/?media='+window.pinterest_feat_img+jQuery('#pin_hide_info').val(), 'sharer', 'toolbar=0,status=0,width=750,height=330');
	}else{
		window.open('http://pinterest.com/pin/create/bookmarklet/?media='+jQuery('#pin_default_feat_img').val()+jQuery('#pin_hide_info').val(), 'sharer', 'toolbar=0,status=0,width=750,height=330');
	}
}

function indeedPinterestPopUp(rand_pin){
	window.pinterest_feat_img = '';
	//getting the images
	var imgSrc = new Array();

	if(jQuery('#indeed_top_ism').length){
		var parent = jQuery('#indeed_top_ism').parent();
		if(jQuery(parent).attr('id')) {
      var selector = '#'+jQuery(parent).attr('id');
    }	else {
      var selector = '.'+jQuery(parent).attr('class');
    }
		jQuery(selector+" img").each(function(){
			if(jQuery(this).attr('src')){
        imgSrc.push(jQuery(this).attr('src'));
      }
		});
	}else{
		jQuery('body img').each(function(){
			if(jQuery(this).attr('src')){
				if(jQuery(this).width()>99){
					imgSrc.push(jQuery(this).attr('src'));
				}
			}
		});
	}

	var def_img = jQuery('#pin_default_feat_img_'+rand_pin).val();
	if(jQuery.inArray(def_img, imgSrc)===-1){
    imgSrc.push(def_img);
  }

	//send request
    jQuery.ajax({
        type : "post",
        data : {
                    action: "ism_pinterest_popup",
                    ism_images: imgSrc,
                    other_info: jQuery('#pin_hide_info_'+rand_pin).val()
                },
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        success: function (data) {
          jQuery(data).hide().appendTo('body').fadeIn('normal');
        },
        dataType: 'html'
    });
}

function pinterest_select_img(target){
	window.pinterest_feat_img = jQuery(target).attr('src');
	openPinterestShare();
}

///TIMEOUT LOCKER
function ism_the_TimeOut(timeout, content_id, locker_id){
	var id = '#line_'+locker_id;
	locker_id = '#'+locker_id;
	var wd = 100;
	timeout = timeout *10;
	var counter = setTimeout(ism_countDown, timeout);
	function ism_countDown(){
		if(wd<=0){
			jQuery(locker_id).css('display', 'none');
			jQuery(content_id).css({
		    	'display': 'block',
		    	'opacity': 1,
				'-webkit-filter': 'none',
				'-moz-filter': 'none',
				'-o-filter': 'none',
				'-ms-filter': 'none',
				'filter': 'none'
		    });
			return;
		}
		wd = wd - 1;
		jQuery(id).css('width', wd+'%');
		setTimeout(ism_countDown, timeout);
	}
}

function ismMobilePopup(id, the_direction){
	jQuery(id).toggle('slide', { direction: the_direction}, 500);
}

function ismMoveDiv(id){
	if(jQuery(id).css('left')=='-45px'){
		jQuery(id).animate({ "left": "+=45px" }, "slow" );
	}else{
		jQuery(id).animate({ "left": "-=45px" }, "slow" );
	}
}

function ism_slide_in( id, st, t, auto  ){
	if(typeof t=='undefined' || t==''){
    t = 0;
  }
	setTimeout(function(){
		var slide_arr = ['up', 'down', 'left', 'right'];
		if(inArray(st, slide_arr) ){

			//slide effect
			jQuery(id).show('slide', {direction: st}, 1000);
		}else if(st=='fadeIn'){
			jQuery(id).fadeIn(1000);
		}else{
			  var o = {}; //options
		      if ( st == "scale" ) {
		    	  o = { percent: 100 };
		      }
		      jQuery(id).show(st, o, 1000);
		}
		if (typeof auto != 'undefined' && auto !='0'){
  		ism_autoclose_slide(auto, id);
    }
	}, t*1000);

}

function ism_autoclose_slide(d, id){
	setTimeout(function(){
		jQuery(id).fadeOut(500);
	},d*1000);
}

function ism_close_slide( id ){
	jQuery(id).fadeOut(500);
	if (window.ism_slide_display_once==1){
    window.ism_slide_display_once = 0;
  }	else {
    window.ism_slide_display_once = 1;
  }
}

function ism_show_popup( id, st, t, auto ){
	if (typeof t=='undefined' || t==''){
    t = 0;
  }
	setTimeout(function(){
		jQuery('.ism_popup_wrapper').show();
		var slide_arr = ['up', 'down', 'left', 'right'];
		if(inArray(st, slide_arr) ){
			//slide effect
			jQuery(id).show('slide', {direction: st}, 1000);
		}else if(st=='fadeIn'){
			jQuery(id).fadeIn(1000);
		}else{
			  var o = {}; //options
		      if ( st == "scale" ) {
		    	  o = { percent: 100 };
		      }
		      jQuery(id).show(st, o, 1000);
		}
		if(typeof auto != 'undefined' && auto !='0')
			ism_autoclose_popup(auto, id);
	}, t*1000);

	//Resize popup if mobile
	ism_popup_resize_mobile('.ism_popup_box');
}

function ism_autoclose_popup(d, id){
	setTimeout(function(){
		jQuery(id).css('display', 'none');
		jQuery('.ism_popup_wrapper').css('display', 'none');
		if(window.ism_popup_display_once==1){
       window.ism_popup_display_once = 0;
    }	else {
      window.ism_popup_display_once = 1;
    }
	},d*1000);
}

function ism_close_popup( id ){
	jQuery(id).css('display', 'none');
	jQuery('.ism_popup_wrapper').css('display', 'none');
	if(window.ism_popup_display_once==1){
    window.ism_popup_display_once = 0;
  }	else {
    window.ism_popup_display_once = 1;
  }
}

function inArray(needle, haystack) {
    var length = haystack.length;
    for ( var i = 0; i < length; i++) {
        if ( haystack[i] == needle ) {
          return true;
        }
    }
    return false;
}

function ism_popup_resize_mobile(c){
	if(jQuery(c).width()>jQuery(window).outerWidth() ){
		jQuery(c).css('width', jQuery(window).outerWidth() );
		var left = jQuery(c).css('left');
		if(isNaN(left) || left<0){
			jQuery(c).css('left', 0);
		}
	}
}

/*===============AFTER SHARE====================*/
function ism_open_window(link, the_width, the_height, popup_id){
	jQuery('.ism_popup_box').css('display', 'none');
	jQuery('.ism_popup_wrapper').css('display', 'none');

	var ism_window = window.open(link, "", "width="+the_width+", height="+the_height+"" );
	jQuery(ism_window).unload(function(){
	var interval = window.setInterval(function() {
                try {
                    if (ism_window == null || ism_window.closed) {
                        window.clearInterval(interval);
                        ismas_open_popup(popup_id);
                    }
                }
                catch (e) {
                }
            }, 1000);
	});
}

////FACEBOOK
function shareOnFacebook_afterAction(i_title, i_link, i_img, description_id, popup_id ) {
	jQuery('.ism_popup_box').css('display', 'none');
	jQuery('.ism_popup_wrapper').css('display', 'none');

	if(description_id!=''){
		var desc = jQuery(description_id).attr('data-ism_description');
		if ( typeof desc!='undefined' && desc!='' ){
       var fb_description = jQuery(description_id).attr('data-ism_description');
    } else {
      var fb_description = '';
    }
	}
	var fb_params = {
        method        : 'share',
        display       : 'popup',
        href          :  i_link,
        link          :  i_link,
        title         :  decodeURIComponent(i_title),
        picture       :  i_img,
        description   :  fb_description
    };
	FB.ui(fb_params, function(response){
        	if (response && response.post_id){
        		ismas_open_popup(popup_id);
        	}
      	}
    );
}
function shareFacebookWI_afterAction( url, title, description_id, popup_id ){
	jQuery('.ism_popup_box').css('display', 'none');
	jQuery('.ism_popup_wrapper').css('display', 'none');
	if(description_id!=''){
		var desc = jQuery(description_id).attr('data-ism_description');
		if(desc!=undefined && desc!=''){
      var fb_description = jQuery(description_id).attr('data-ism_description');
    } else {
      var fb_description = '';
    }
	}
    var ism_window = window.open('http://www.facebook.com/sharer/sharer.php?s=100&p[title]='+ decodeURIComponent(title) + '&u=' + encodeURIComponent(url) + '&p[summary]=' + fb_description , 'sharer', 'toolbar=0,status=0,width=600,height=360');
	jQuery(ism_window).unload(function(){
		var interval = window.setInterval(function() {
	                try {
	                    if (ism_window == null || ism_window.closed) {
	                        window.clearInterval(interval);
	                        ismas_open_popup(popup_id);
	                    }
	                }
	                catch (e) {
	                }
	            }, 1000);
	});
}


/////PINTEREST
function openPinterestShare_afterAction(popup_id){
	jQuery('.ism_popup_box').css('display', 'none');
	jQuery('.ism_popup_wrapper').css('display', 'none');

	closePopup();
	if(window.pinterest_feat_img && window.pinterest_feat_img!=''){
		var ism_window = window.open('http://pinterest.com/pin/create/bookmarklet/?media='+window.pinterest_feat_img+jQuery('#pin_hide_info').val(), 'sharer', 'toolbar=0,status=0,width=750,height=330');
	}else{
		var ism_window = window.open('http://pinterest.com/pin/create/bookmarklet/?media='+jQuery('#pin_default_feat_img').val()+jQuery('#pin_hide_info').val(), 'sharer', 'toolbar=0,status=0,width=750,height=330');
	}
	jQuery(ism_window).unload(function(){
		var interval = window.setInterval(function() {
	                try {
	                    if (ism_window == null || ism_window.closed) {
	                        window.clearInterval(interval);
	                        ismas_open_popup(popup_id);
	                    }
	                }
	                catch (e) {
	                }
	            }, 1000);
	});
}

function indeedPinterestPopUp_afterAction(rand_pin, popup_id){
	window.pinterest_feat_img = '';
	//getting the images
	var imgSrc = new Array();

	if(jQuery('#indeed_top_ism').length){
		var parent = jQuery('#indeed_top_ism').parent();
		if(jQuery(parent).attr('id')){
       var selector = '#'+jQuery(parent).attr('id');
    }	else {
       var selector = '.'+jQuery(parent).attr('class');
    }
		jQuery(selector+" img").each(function(){
			if(jQuery(this).attr('src')){
         imgSrc.push(jQuery(this).attr('src'));
      }
		});
	}else{
		jQuery('body img').each(function(){
			if(jQuery(this).attr('src')){
				if(jQuery(this).width()>99){
					imgSrc.push(jQuery(this).attr('src'));
				}
			}
		});
	}
	if(typeof popup_id=='undefined'){
      popup_id = '';
  }

	var def_img = jQuery('#pin_default_feat_img_'+rand_pin).val();
	if(jQuery.inArray(def_img, imgSrc)===-1){
    imgSrc.push(def_img);
  }

	//send request
    jQuery.ajax({
        type : "post",
        data : {
                    action: "ism_pinterest_popup_after_action",
                    ism_images: imgSrc,
                    other_info: jQuery('#pin_hide_info_'+rand_pin).val(),
                    after_data_a: popup_id,
                },
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        success: function (data) {
            jQuery(data).hide().appendTo('body').fadeIn('normal');
        },
        dataType: 'html'
    });
}

function pinterest_select_img_afterAction(target, popup_id){
	window.pinterest_feat_img = jQuery(target).attr('src');
	openPinterestShare_afterAction(popup_id);
}

function ismas_open_popup(id){
	//Resize popup if mobile
	ism_after_share_resize_popup('.ism_after_share_box');
  jQuery('#wrapper-'+id).show();
	jQuery('#'+id).fadeIn(400);
}
function ismas_close_popup(id){
	jQuery('#'+id).css('display', 'none');
	jQuery('#wrapper-'+id).css('display', 'none');
	if(window.ism_popup_display_once==1){
      window.ism_popup_display_once = 0;
  }	else {
      window.ism_popup_display_once = 1;
  }
}

function ism_after_share_resize_popup(c){
	var maxw = jQuery(c).css('max-width');
	if(parseInt(maxw)>jQuery(window).outerWidth()/2){
		jQuery(c).css('left', 0);
	}
}

function ism_load_statistics_counts(the_sm_list, ism_url, wrapp_id, i_print){
	//load counts from statistics
    jQuery.ajax({
        type : "post",
        url : window.ism_base_path+'/wp-admin/admin-ajax.php',
        data : {
	               action: 'ism_load_statistics_counts_via_ajax',
	               the_url: ism_url,
	               sm_list: the_sm_list,
               },
        success: function(response){

        			var response = jQuery.parseJSON(response);
        			var total_share = 0;
		   			for (var key in response) {
				        var num = response[key];
		   				//standard
				        if (num!='not_show'){
		 		          	if (num==null || isNaN(num)) {
                      num = 0;
                    }
		 			          setNumDiv(0, parseInt(num), wrapp_id+' .'+key+'_share_count', i_print);
	    	   				  //total share counts
  				 		      var total_share = total_share + parseInt(num);
		 		        }

		   			}//end of for

    	   			//total share counts
		   			if (typeof window.total_share_obj!='undefined' && window.total_share_obj[wrapp_id]!='undefined'){
		   				if (Number.isInteger(window.total_share_obj[wrapp_id])){
		   					window.total_share_obj[wrapp_id] = window.total_share_obj[wrapp_id] + total_share;
		   				} else {
		   					window.total_share_obj[wrapp_id] = total_share;
		   				}

    	   				ism_print_total_count(wrapp_id);

    	   			}
          		}
      });
}
Number.isInteger = Number.isInteger || function(value) {
    return typeof value === "number" &&
           isFinite(value) &&
           Math.floor(value) === value;
};


//================================= SHARE + UNLOCK
function ism_unlock(locker_id, content_id, url, type_of_locker){
	/*
	 * type_of_unlock - int 1 = standard, 2 = via refresh
	 */
	jQuery.jStorage.set(url, ism_return_current_date());
	if (locker_id!='0' && content_id!='0'){
		if (type_of_locker==1){
		    jQuery(locker_id).css('display', 'none');
		    jQuery(content_id).css({
		    	'display': 'block',
		    	'opacity': 1,
				'-webkit-filter': 'none',
				'-moz-filter': 'none',
				'-o-filter': 'none',
				'-ms-filter': 'none',
				'filter': 'none'
		    });
		} else if (type_of_locker==2){
			window.location.href = url;
		}
	}
}

//twitter
function ism_unlock_on_c(lockerId, contentId, link, unlock_type){
	//twitter unlock on click
    if (contentId!='0' && lockerId!='0'){
    	ism_unlock(lockerId, contentId, link, unlock_type);
    }
}

jQuery(document).on('ready', function() {
	//twitter unlock
	if (typeof window.ism_twitter_set!='undefined' && window.ism_twitter_set==1){
    //ready is part of twttr Class, not a jQuery call
	    twttr.ready(function (twttr) {
	        twttr.events.bind('tweet', function(event) {
	        	ism_unlock(window.lockerId, window.contentId, window.i_link, window.ism_type_of_unlock);
	        });
	   });
	}
});

function setIds(lockerId, contentId, link, unlock_type){
	//used only in twitter
	window.lockerId = lockerId;
	window.contentId = contentId;
	window.i_link = link;
	window.ism_type_of_unlock = unlock_type;
}

//facebbok
function shareOnFacebook(i_title, i_link, i_img, locker_id, content_id, description_id, unlock_type ){
	if (description_id!=''){
		var desc = jQuery(description_id).attr('data-ism_description');
		if(desc!=undefined && desc!=''){
      var fb_description = jQuery(description_id).attr('data-ism_description');
    }	else {
      var fb_description = '';
    }
	}

	var fb_params = {
        display       :  'popup',
        href          :  i_link,
        link          :  i_link,
        title		  :  i_title,
        picture       :  i_img,
        description   :  fb_description
    };

	if (locker_id=='0' && content_id=='0'){
		//share
		fb_params.method = 'share';

	   fb_params.title = decodeURIComponent(i_title);

	} else {
		//feed on locker
		fb_params.method = 'feed';
        fb_params.name = decodeURIComponent(i_title);
	}

	FB.ui(fb_params, function(response) {
			if (typeof response=='object'){
	    		ism_unlock(locker_id, content_id, i_link, unlock_type);
	    	}
      }
	);
}

function shareFacebookWI( url, title, locker_id, content_id, description_id, unlock_type ){
	///OLD VERSION
	if (description_id!=''){
		var desc = jQuery(description_id).attr('data-ism_description');
		if (desc!=undefined && desc!=''){
      var fb_description = jQuery(description_id).attr('data-ism_description');
    }	else {
      var fb_description = '';
    }
	}
    window.open('http://www.facebook.com/sharer/sharer.php?s=100&p[title]='+ decodeURIComponent(title) + '&u=' + encodeURIComponent(url) + '&p[summary]=' + fb_description , 'sharer', 'toolbar=0,status=0,width=600,height=360');

	ism_unlock(locker_id, content_id, url, unlock_type);
}

function shareFacebookWithoutI( url, title, locker_id, content_id, description_id, unlock_type ){
	//NEW VERSION
	if (description_id!=''){
		var desc = jQuery(description_id).attr('data-ism_description');
		if (desc!=undefined && desc!=''){
      var fb_description = jQuery(description_id).attr('data-ism_description');
    }	else {
      var fb_description = '';
    }
	}
	var share_window = window.open('http://www.facebook.com/sharer/sharer.php?s=100&p[title]='+ decodeURIComponent(title) + '&u=' + encodeURIComponent(url) + '&p[summary]=' + fb_description , 'sharer', 'toolbar=0,status=0,width=600,height=360');
	jQuery(share_window).unload(function(){
		var interval = window.setInterval(function(){
			try {
                if (share_window == null || share_window.closed) {
                    window.clearInterval(interval);
                   	if (locker_id!='0' && content_id!='0'){
          						ism_unlock(locker_id, content_id, url, unlock_type);
          					}
                }
            } catch (e){}
		}, 1000);
	});
}

//linkedin
function ism_linkedin_share(ism_link, locker_id, content_id, unlock_type){

	var share_window = window.open('https://www.linkedin.com/cws/share?url='+ decodeURIComponent(ism_link)+'&original_referer='+decodeURIComponent(ism_link)+'&token=&isFramed=false&lang=en_US', 'sharer', 'toolbar=0,status=0,width=600,height=360');

	jQuery(share_window).unload(function(){
		var interval = window.setInterval(function() {
                try {

                    if (share_window == null || share_window.closed) {
                        window.clearInterval(interval);
                       	if (locker_id!='0' && content_id!='0'){
            								ism_unlock(locker_id, content_id, ism_link, unlock_type);
            						}
                    }
                }
                catch (e) {
                }
        }, 1000);
	});
}

function ism_general_locker(locker_id, content_id, unlock_type, sm_type, ism_link, image, title, description){
	/*
	 * Available for Twitter, LinkedIn, VK, Odnoklassniki, Pinterest and (developer work - google plus)
	 */
	switch (sm_type){
		case 'li':
			var url = 'https://www.linkedin.com/cws/share?url='+ decodeURIComponent(ism_link)+'&original_referer='+decodeURIComponent(ism_link)+'&token=&isFramed=false&lang=en_US';
			break;
		case 'tw':
			var url = 'https://twitter.com/intent/tweet?text=' + title + ' ' + ism_link;
			break
		case 'vk':
			var url = 'http://vkontakte.ru/share.php?url=' + ism_link + '&image=' + image + '&title=' + title + '&description=' + description;
			break;
		case 'pt':
			var url = 'http://pinterest.com/pin/create/bookmarklet/?media=' + image + '&amp;url=' + ism_link + '&amp;title=' + title + '&amp;description=' + description;
			break;
		case 'ok':
			var url = 'http://www.odnoklassniki.ru/dk?st.cmd=addShare&st.s=1&st._surl=' + ism_link;
			break;
    case 'go1':
      var url = 'https://plus.google.com/share?url='  + ism_link;
      break;

	}
	var share_window = window.open(url, 'sharer', 'toolbar=0,status=0,width=600,height=360');

	var interval = window.setInterval(function(){
		if (share_window.closed==true){
			window.clearInterval(interval);

            if (locker_id!='0' && content_id!='0'){
      				ism_unlock(locker_id, content_id, ism_link, unlock_type);
      			}
		}
	}, 1000);

}

function nd_close_popup()
{
    jQuery('.ism_ns_modal_class').remove()
}

function ism_ns_open_modal_box(ism_current_url) {
  jQuery.ajax({
    type : "post",
    url : window.ism_base_path +'/wp-admin/admin-ajax.php',
    data : {
         action: "modal_box_newsletter",
         ismCurrentUrl : ism_current_url
      },
         success: function (response) {

           jQuery('body').append(response);

  }
});

}

function ism_send_ns_email_adress(ism_url) {
  jQuery('#ism_ns_success_message').css('display', 'none')
  jQuery('#ism_ns_error_message').css('display', 'none')
  var ns_terms_val = jQuery('#ism_ns_terms').is(":checked") ? 1 : 0;

  jQuery.ajax({
    type : "post",
    url : window.ism_base_path +'/wp-admin/admin-ajax.php',
    data : {
         action  : "ism_insert_email_adress_in_newsletter_db",
         ns_email   : jQuery('#ism_ns_email_form_value').val(),
         ns_terms: ns_terms_val,
         currentUrl : ism_url

      },
      success: function (response) {
        var responseObj = JSON.parse(response)
        if (responseObj.status==0){

            /// printing the errors
            jQuery('#ism_ns_error_message').html(responseObj.message).css({'display': 'block', 'color': 'red','text-align': 'center'})
        } else {
            /// print success
            jQuery('#ism_ns_success_message').html(responseObj.message).css({'display': 'block', 'color': 'green','text-align': 'center'})
              setTimeout(nd_close_popup, 1000);
        }

      }

});
}

jQuery( document ).on( 'ready', function(){

    // facebook
    if ( jQuery( '.ism-js-include-fb-js' ).length > 0 ){
      window.fbAsyncInit = function() {
          FB.init({
            appId      : window.ism_facebook_id,
            status     : true,
                          cookie     : true,
                          xfbml      : true,
                          version    : 'v2.5'
            });
        };
        (function(d, s, id){
           var js, fjs = d.getElementsByTagName(s)[0];
           if (d.getElementById(id)) {return;}
           js = d.createElement(s); js.id = id;
           js.src = "//connect.facebook.net/en_US/sdk.js";
           fjs.parentNode.insertBefore(js, fjs);
         }(document, 'script', 'facebook-jssdk-ism'));
    }

    // display counts
    if ( jQuery( '.ism-js-display-counts-from-server' ).length > 0 ){
        jQuery( '.ism-js-display-counts-from-server' ).each(function(){
            var url = jQuery( this ).attr( 'data-url' );
            var selector = jQuery( this ).attr( 'data-wrapp_id' );
            var print = jQuery( this ).attr( 'data-print' );
            var items_str = jQuery( this ).attr( 'data-items_arr' );
            var items_arr = items_str.split(",");
            ism_load_counts( 0, url, selector, items_arr, print );
        });
    }

    // display count for items with no counts from server
    if ( jQuery( '.ism-js-counts-for-items-with-no-counts' ).length > 0 ){
      jQuery( '.ism-js-counts-for-items-with-no-counts' ).each( function(){
          var fc_items_str = jQuery( this ).attr( 'data-items' );
          var url = jQuery( this ).attr( 'data-url' );
          var selector = jQuery( this ).attr( 'data-selector' );
          var print = jQuery( this ).attr( 'data-print' );
          var fc_items_arr = fc_items_str.split(",");
          var tempKey = fc_items_arr.indexOf("google_plus");
          if (tempKey>-1){
            fc_items_arr[tempKey] = "google";
          }
          ism_load_statistics_counts( fc_items_arr, url, selector, print );
      });
    }

    // display counts from DB
    if ( jQuery( '.ism-js-display-counts-from-db' ).length > 0 ){
      jQuery( '.ism-js-display-counts-from-db' ).each(function(){
          var url = jQuery( this ).attr( 'data-url' );
          var selector = jQuery( this ).attr( 'data-selector' );
          var print = jQuery( this ).attr( 'data-print' );
          var items_str = jQuery( this ).attr( 'data-items_arr' );
          var items_arr = items_str.split(",");
          ism_load_counts_from_db( items_arr, url, selector, print );
          window.ism_save_share_counts = 1;
      });
    }

    // Scroll down
    if ( jQuery( '.ism-js-do-scroll-down-js' ).length > 0 ){
        jQuery( '.ism-js-do-scroll-down-js' ).each( function(){
            var selectorObject = this;
            jQuery( document ).scroll( function(){
                if ( jQuery(window).scrollTop() != 0 || ( typeof window.ism_slide_display_once != 'undefined' && window.ism_slide_display_once == 1 ) ){
                    return;
                }
                var selector = jQuery( selectorObject ).attr( 'data-selector' );
                var effect = jQuery( selectorObject ).attr( 'data-effect' );
                var delay = jQuery( selectorObject ).attr( 'data-delay' );
                var slideDuration = jQuery( selectorObject ).attr( 'data-duration' );
                var displayOnce = jQuery( selectorObject ).attr( 'data-display_once' );

                ism_slide_in( selector, effect, delay, slideDuration );
                window.ism_slide_display_once = displayOnce;
            });
        });
    }

    // Scroll middle
    if ( jQuery( '.ism-js-do-scroll-middle-js' ).length > 0 ){
      jQuery( '.ism-js-do-scroll-middle-js' ).each( function(){
          var selector = jQuery( this ).attr( 'data-selector' );
          var effect = jQuery( this ).attr( 'data-effect' );
          var delay = jQuery( this ).attr( 'data-delay' );
          delay = parseInt( delay );
          var slideDuration = jQuery( this ).attr( 'data-duration' );
          slideDuration = parseInt( slideDuration );
          var displayOnce = jQuery( this ).attr( 'data-display_once' );
          window.slide_previous_scroll_pos = 0;
          window.slide_display_scroll_down = 0;
          window.slide_display_scroll_up = 1;
          jQuery(document).scroll(function(){
              window.s_h = parseInt( ( jQuery(document).height() - jQuery(window).height() ) / 2 );
              window.slide_scroll_pos = parseInt(jQuery(window).scrollTop());
              window.slide_show = 0;

              if( window.slide_scroll_pos > window.s_h && window.slide_scroll_pos > window.slide_previous_scroll_pos){
                if( window.ism_slide_display_once == 1 || window.slide_display_scroll_down == 1){
                  return;
                }
                window.slide_display_scroll_down = 1;
                window.slide_display_scroll_up = 0;
                window.slide_show = 1;
              }

              if( window.slide_scroll_pos < window.s_h && window.slide_scroll_pos > window.slide_previous_scroll_pos){
                if( window.ism_slide_display_once == 1 || window.slide_display_scroll_up == 1){
                  return;
                }
                window.slide_display_scroll_down = 0;
                window.slide_display_scroll_up = 1;
                window.slide_show = 1;
              }

              if( window.slide_show == 1){
                ism_slide_in( selector, effect, delay, slideDuration );
                window.ism_slide_display_once = displayOnce;
              }
              window.slide_previous_scroll_pos	= parseInt(jQuery(window).scrollTop());
          });
      });
    }

    // Scroll bottom
    if ( jQuery( '.ism-js-do-scroll-bottom-js' ).length > 0 ){
      jQuery( '.ism-js-do-scroll-bottom-js' ).each( function(){
        var selectorObject = this;
        jQuery(document).scroll(function(){
            if( jQuery(window).scrollTop() + jQuery(window).height() != jQuery(document).height() || window.ism_slide_display_once == 1 ){
              return;
            }
            var selector = jQuery( selectorObject ).attr( 'data-selector' );
            var effect = jQuery( selectorObject ).attr( 'data-effect' );
            var delay = jQuery( selectorObject ).attr( 'data-delay' );
            var slideDuration = jQuery( selectorObject ).attr( 'data-duration' );
            var displayOnce = jQuery( selectorObject ).attr( 'data-display_once' );
            ism_slide_in( selector, effect, delay, slideDuration );
            window.ism_slide_display_once = displayOnce;
        });
      } );
    }

    // total shares
    if ( jQuery( '.ism-js-do-print-total-shares' ).length > 0 ){
        jQuery( '.ism-js-do-print-total-shares' ).each( function(){
            if ( typeof total_share_obj == "undefined" ){
                window.total_share_obj = {};
            }
            var selector = jQuery( this ).attr( 'data-selector' );
            window.total_share_obj[ selector ] = 0;
        });
    }

    // timeout
    if ( jQuery( '.ism-js-do-add-timeout' ).length > 0 ){
        jQuery( '.ism-js-do-add-timeout' ).each( function(){
            var timeout = jQuery( this ).attr( 'data-timeout' );
            var content_id = jQuery( this ).attr( 'data-content_id' );
            var locker_id = jQuery( this ).attr( 'data-locker_id' );
            var ism_delaylocker = new ism_the_TimeOut( timeout, content_id, locker_id );
        });
    }

    // reset time
    if ( jQuery( '.ism-js-do-reset-time' ).length > 0 ){
        jQuery( '.ism-js-do-reset-time' ).each( function(){
          var locker_reset_after = jQuery( this ).attr('data-locker_reset_after');
          var url = jQuery( this ).attr('data-url');
          var old_time = jQuery.jStorage.get( url );
          if ( old_time ){
            var current_time = ism_return_current_date();
            var end_time = old_time + locker_reset_after;
            if ( current_time>=end_time ){
              jQuery.jStorage.set( url, '' );
              jQuery.jStorage.deleteKey( url );
            }
          }
        });
    }

    // popup - scroll top
    if ( jQuery( '.ism-js-show-up-popup-on-scroll-top' ).length > 0 ){
        jQuery( '.ism-js-show-up-popup-on-scroll-top' ).each( function(){
          var selectorObject = this;
          jQuery(document).scroll(function(){
            if(jQuery(window).scrollTop() != 0 || ism_popup_display_once == 1){
              return;
            }
            var selector = jQuery( selectorObject ).attr( 'data-selector' );
            var effect = jQuery( selectorObject ).attr( 'data-effect' );
            var delay = jQuery( selectorObject ).attr( 'data-delay' );
            var slideDuration = jQuery( selectorObject ).attr( 'data-duration' );
            var displayOnce = jQuery( selectorObject ).attr( 'data-display_once' );
            ism_show_popup( selector, effect, delay, slideDuration );
            ism_popup_display_once = displayOnce;
          });
        });
    }

    // popup - scroll middle
    if ( jQuery( '.ism-js-show-up-popup-on-scroll-middle' ).length > 0 ){
        jQuery( '.ism-js-show-up-popup-on-scroll-middle' ).each( function(){
          var selectorObject = this;
          jQuery(document).scroll(function(){
            if(jQuery(window).scrollTop() != 0 || window.ism_popup_display_once == 1){
              return;
            }
            var selector = jQuery( selectorObject ).attr( 'data-selector' );
            var effect = jQuery( selectorObject ).attr( 'data-effect' );
            var delay = jQuery( selectorObject ).attr( 'data-delay' );
            var slideDuration = jQuery( selectorObject ).attr( 'data-duration' );
            var displayOnce = jQuery( selectorObject ).attr( 'data-display_once' );
            var previous_scroll_pos = 0;
						var display_scroll_down = 0;
						var display_scroll_up = 1;
						jQuery(document).scroll(function(){
							var s_h = (jQuery(document).height() - jQuery(window).height() )/2;
							var scroll_pos = parseInt(jQuery(window).scrollTop());
							var show = 0;
							if( scroll_pos > s_h && scroll_pos > previous_scroll_pos){
								if( ism_popup_display_once == 1 || display_scroll_down == 1) {
                  return;
                }
								var display_scroll_down = 1;
								var display_scroll_up = 0;
								var show = 1;
							}
							if( scroll_pos < s_h && scroll_pos < previous_scroll_pos){
								if( window.ism_popup_display_once == 1 || display_scroll_up == 1) {
                  return;
                }
								var display_scroll_down = 0;
								var display_scroll_up = 1;
								var show = 1;
							}
							if( show == 1){
								ism_show_popup( selector, effect, delay, slideDuration );
								window.ism_popup_display_once = displayOnce;
							}
							var previous_scroll_pos	= parseInt(jQuery(window).scrollTop());
						});
          });
        });
    }

    // popup - scroll bottom
    if ( jQuery( '.ism-js-show-up-popup-on-scroll-bottom' ).length > 0 ){
        jQuery( '.ism-js-show-up-popup-on-scroll-bottom' ).each( function(){
          var selectorObject = this;
          jQuery(document).scroll(function(){
            if(jQuery(window).scrollTop() != 0 || ism_popup_display_once == 1) {
              return;
            }
            var selector = jQuery( selectorObject ).attr( 'data-selector' );
            var effect = jQuery( selectorObject ).attr( 'data-effect' );
            var delay = jQuery( selectorObject ).attr( 'data-delay' );
            var slideDuration = jQuery( selectorObject ).attr( 'data-duration' );
            var displayOnce = jQuery( selectorObject ).attr( 'data-display_once' );
            ism_show_popup( selector, effect, delay, slideDuration );
            ism_popup_display_once = displayOnce;
          });
        })
    }

    if ( jQuery( '.ism-js-show-up-popup-on-leave' ).length > 0 ){
        jQuery( '.ism-js-show-up-popup-on-leave' ).each( function(){
          var selectorObject = this;
          jQuery(document).mousemove(function(e) {
            if((e.pageY-jQuery(window).scrollTop()) <= 10){
               if(window.ism_popup_display_once == 1){
                 return;
               }
               var selector = jQuery( selectorObject ).attr( 'data-selector' );
               var effect = jQuery( selectorObject ).attr( 'data-effect' );
               var delay = jQuery( selectorObject ).attr( 'data-delay' );
               var slideDuration = jQuery( selectorObject ).attr( 'data-duration' );
               var displayOnce = jQuery( selectorObject ).attr( 'data-display_once' );
               ism_show_popup( selector, effect, delay, slideDuration );
               window.ism_popup_display_once = displayOnce;
            }
          });
        });
    }

    ///
    if ( jQuery( '.ism-js-isf-do-load-counts' ).length ){
        jQuery( '.ism-js-isf-do-load-counts' ).each( function(){
            var items_str = jQuery( this ).attr( 'data-items_arr' );
            var items_arr = items_str.split(",");

            var selector = jQuery( this ).attr( 'data-selector' );
            isf_load_counts( 0, selector, items_arr, 1 );
        });
    }

});

jQuery( window ).on( 'load', function(){
    window.ism_slide_display_once = 0;
    if ( jQuery( '.ism-js-do-on-load-js' ).length > 0 ){
        jQuery( '.ism-js-do-on-load-js' ).each( function(){
            var selector = jQuery( this ).attr( 'data-selector' );
            var effect = jQuery( this ).attr( 'data-effect' );
            var delay = jQuery( this ).attr( 'data-delay' );
            var slideDuration = jQuery( this ).attr( 'data-duration' );
            ism_slide_in( selector, effect, delay, slideDuration );
        });
    }

    // popup on load
    if ( jQuery( '.ism-js-show-up-popup-on-load' ).length > 0 ){
        jQuery( '.ism-js-show-up-popup-on-load' ).each( function(){
            var selector = jQuery( this ).attr( 'data-selector' );
            var effect = jQuery( this ).attr( 'data-effect' );
            var delay = jQuery( this ).attr( 'data-delay' );
            var slide_duration = jQuery( this ).attr( 'data-slider_duration' );
            ism_show_popup( selector, effect, delay, slide_duration );
        });
    }


});
